GNU bug report logs - #46827
Broken initial size of GTK3 frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: martin rudalics <rudalics@HIDDEN>; dated Sun, 28 Feb 2021 09:32:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 20:00:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 15:00:58 2021
Received: from localhost ([127.0.0.1]:50920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoiw-0003E3-Bu
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 15:00:58 -0500
Received: from mail-wr1-f51.google.com ([209.85.221.51]:44641)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lGoiu-0003Dr-SK
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 15:00:57 -0500
Received: by mail-wr1-f51.google.com with SMTP id h98so17439517wrh.11
 for <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 12:00:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=0YoAsrPIA0Kx9wkickewKXdKBQsgxj/mUpLmNtWa/Ok=;
 b=XjtvyoCVkekPWgqNgiQuL3u+A/9rKL3r9oO6iZk5Ny39o06WB0d38+9Nvb9D9/+xvO
 uO5Zc9aMK6dYp105p1ir/7zPzrxkl810diHCTggh/b4OrWemf73l0y+Q0dOgqt/6VGQ6
 mvPzORUp05L1HBxC5DPHeAw+GUMpzlf7GBSnDGYS6i4hDSLsAdYozy0TLB7wYKRoIOsC
 OaNGmoqeploCAQ1ATHKWrqXOJHh7A6kF98G4WOwMulnzya++EEppP+kktO8++RUzDHjb
 ZjX11ICBZa7Vkj7rWOnykkpQUrpyEdp7DOw78QWxR+imGqI1Yg18z5JitIMlKvMxBjAE
 QS8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=0YoAsrPIA0Kx9wkickewKXdKBQsgxj/mUpLmNtWa/Ok=;
 b=dFIQGKX/KYfj1aEKkV+/ADlOG1j7tjjGL5FIm+2sLJNAIxp3U9tjr2tKv0LJyRbKpk
 lioGUOnRq7G/h5ipMRm+s7fRTRUyJAAkVh87I9DceM4Zz+HDx71yhTttkI7f19A6uthk
 lk8GT0/5bzO1g7xHpp0eDSQTdg17+7GGl67sVTlZsHHOytQP3uf53c58dcAqijPdF4Sn
 a46HX49tK/2NUwFeJGYnaoKlHPpJ1kTlVpRKsXn/QTHNOLAGDN6GWkwf2XE3i+ZzJ2cz
 b8obvrnODEo+iafGeeBeieVCPd7aZBAmoGStZxZOT7e3jrGCXKnHWh34U+1qITYkbcsA
 GnoA==
X-Gm-Message-State: AOAM532kED1+G9fCzbPhE9keO8FE3PLUxHFyavgpb+QFklBn0asQVXzV
 0Hch6zkyRRHld65CxChNfu1ArLoyNJvTzg==
X-Google-Smtp-Source: ABdhPJw/GhtwGi76tgjAaI7QhidAV7Yl2/jtd4710ep9i96jViIKMNXAnHlQkWl7Gni3dtkGGyC8cg==
X-Received: by 2002:a5d:564b:: with SMTP id j11mr4466378wrw.326.1614628850920; 
 Mon, 01 Mar 2021 12:00:50 -0800 (PST)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id s11sm359874wme.22.2021.03.01.12.00.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Mar 2021 12:00:50 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
 <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
 <875z2b3srx.fsf@HIDDEN> <87ft1fyo88.fsf@HIDDEN>
 <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
 <87y2f6spgm.fsf@HIDDEN>
 <484ba8f0-9b19-286b-3c94-21e1eda2eec3@HIDDEN>
Date: Mon, 01 Mar 2021 21:00:49 +0100
In-Reply-To: <484ba8f0-9b19-286b-3c94-21e1eda2eec3@HIDDEN> (martin rudalics's
 message of "Mon, 1 Mar 2021 20:04:47 +0100")
Message-ID: <87o8g2tzim.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 1 Mar 2021 20:04:47 +0100, martin rudalics <rudalics@HIDDEN> =
said:

    >> Interestingly, if I run the gtk build under xfwm4 without its dumpfi=
le
    >> present, I do sometimes see the frame issue you reported, which
    >> suggests it=CA=BCs a timing issue somewhere.

    martin> How do you run a build without the dump file present?

You rename the emacs binary to something other than emacs (although
renaming the emacs.pdmp file would also work).

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 19:49:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:49:40 2021
Received: from localhost ([127.0.0.1]:50880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGoY0-0002uO-CK
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:49:40 -0500
Received: from mout.gmx.net ([212.227.15.18]:56191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1lGoXy-0002uB-LL
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:49:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614628172;
 bh=aern/MyTEobcHUBeItFdik//05+HFkNecUi0VmRBfz4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=BmEBEeRBmuyA/sMXZhVw644JvqipYnhi3u3QDXjoLIbIqlzetdO0fk1+i1YeB9+W0
 fLB1OBomrOEK9hEb8eKSo/UUsMc9Xwf/ubIdxMWHwOjtWesi1x7HPOTLngjdxh1DuV
 yKmmoD8R++OBLhqMejRhJgsJb33qD2J3IbqYUfhs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-jhalfs ([92.73.66.209]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M1Ycr-1lEtnc3TZr-00365x; Mon, 01
 Mar 2021 20:49:31 +0100
From: Stephen Berman <stephen.berman@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
 <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
 <875z2b3srx.fsf@HIDDEN> <87ft1fyo88.fsf@HIDDEN>
 <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
 <87y2f6spgm.fsf@HIDDEN>
Date: Mon, 01 Mar 2021 20:49:22 +0100
In-Reply-To: <87y2f6spgm.fsf@HIDDEN> (Robert Pluim's message of "Mon, 01
 Mar 2021 19:23:21 +0100")
Message-ID: <87v9aaslh9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:wtMsPR3THeNFbwyPXse3QNfcKgL35xwv/ekI5P1mBpSimvEklt8
 TH0PsZbS9iTUL+NmdSOs7+hgtQEt+DR25Mle4HgRuCdZzw68Jy9GEzZ75Ch4rw/qKw6eVIq
 t0B3jlNKGS15xVwZUXSWUFD57iRPypsGmrSLQJYGv13SCJfBSFLE9kf4rCImg53Cyd3Xhyn
 wfavrqDbKiGqAr7MG1/9w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nn16pCXUhhQ=:gXNnAp5O1LnDk7b+nrS3y1
 A+QCIAArcCYxRf0KZw9lIfRKbUsheGPKaVoYrmi5BjR0lwGbQReAcYFGJyxTcFTxMkUOGrcqE
 nwYbxorTeRd82tXMxkQ5uHrhGfhvOjmW2nQTOldzo8O+QeNl5+sOEHpq8eF3P6u1Cdk8LOiI0
 ojwpfasTiHhAtxfjul0Igy4i1w0KfLlpw4yyF2S+izrrJjv9Iuia+RiOgXVgApwSf1VDY1Yz1
 +iCAIMnmZhuB6sYULoirxdd5cT2fUCuMN3bCOWzIbC2qBDgROMhSMi8a6gb0vZ+eALBQLfsaM
 ww0KaWG/k8BuJQE5xhAFsEMkBf4GjYa8C9Yhtf7wXGPB1iEqomR4JKlfQlq0HDAC9e08eVchX
 Ek93y/z/8lauyNy47dEg/G82M4ZOz/45YT4AL4IEtrOCqOuqecT3KSpAQhD6rA6MGirdWxB5N
 Da8QJZCars9yzjqXCIQzHmlTg80gLFErMk1BHa9TNtmeVakA6ldaCkaswMStLGdCY+o6DUTW1
 sAZnV7BbSSVHjKTpE1k8yUS6ivcJrOaZIIefg13B6cxMSEq0qST/pcS9js8PKY2oyiAMnJlJ9
 r+6J3EUpw+BPAzx1SIoZ7xpn+IrEVvlTE2VJJAvNpYv/sav+K0syQmIk/r5XgC2Ye5N2IdSUZ
 mzz9zERwze7MtH+ZHO4YEz7PhH0no02EnNi3ZQIn/Bc4+ieoJk3zqXH38hvmP2l4upA/nTRuP
 M1czMKQ5pAzL38tX3RIpiTnES3c+n7AU1rIY2//By7MM9OJn1UEYLk2F83wh5tYrJoUUes+fA
 PH+gfVlLVPvXEGXREuAmU+vKQXDD5CpFWiHwE0GkHCoSkk+zTIiG9EfLftpOP1TpivPNy0Jfk
 vZ/ASp030Bb+BRDB4J3A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org, martin rudalics <rudalics@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, 01 Mar 2021 19:23:21 +0100 Robert Pluim <rpluim@HIDDEN> wrote:

>>>>>> On Mon, 1 Mar 2021 19:03:44 +0100, martin rudalics <rudalics@HIDDEN>=
 said:
>
>     >> With "xfwm4/testing,now 4.16.1-1 amd64" I don=CA=BCt see any issue=
s with
>     >> the frame (and it gives me a frame height of 32).
>
>     martin> Hmm... interesting.  Which GTK version is this?  And what abo=
ut the
>     martin> other builds?
>
> 3.24.24. The lucid build gives me a frame height of 32 as well.
>
> Interestingly, if I run the gtk build under xfwm4 without its dumpfile
> present, I do sometimes see the frame issue you reported, which
> suggests it=CA=BCs a timing issue somewhere.

Evidence in favor of that suggestion may be the following observations:
I can reliably reproduce the problematic display (on xfwm4-4.14.1 with
GTK+ 3.24.17) with the first invocation below, but not with the second
invocation:

$ emacs-master -Q --eval "(customize-set-variable 'default-frame-alist '((c=
ursor-color . \"red3\") (width . 80) (height . 32)))"

$ emacs-master -Q --eval "(progn (sleep-for .1) (customize-set-variable 'de=
fault-frame-alist '((cursor-color . \"red3\") (width . 80) (height . 32))))"

Yet I can also reproduce the display problem with the following
invocation:

$ emacs-master -Q --eval "(progn (sit-for .1) (customize-set-variable 'defa=
ult-frame-alist '((cursor-color . \"red3\") (width . 80) (height . 32))))"

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 19:05:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:05:43 2021
Received: from localhost ([127.0.0.1]:50810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGnrT-0001pU-Iw
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:05:43 -0500
Received: from mout.gmx.net ([212.227.15.18]:58983)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGnrR-0001pG-FU
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:05:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614625535;
 bh=OzJYw5xYeN1liziYwiOVmbzdMWof4LF3Ncfisz07mRY=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=bYYDI4EW/aBkfkdSD5T7GmP6frHtgSzRUINmZ1II6lV09ezH9FMKTrKgaZz3Sxk4R
 R78AwYAs98aEP4Tw9vofLphLWuuhHItGEBv72Rf2AvtK1ucoFJ+HFkJeDFF3oX9MCh
 M4q8zndEUey5vEHZEh0qVqTwHeWk03wOT4lnKuzk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.96.75]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N4z6k-1lxsLr0EqK-010pj2; Mon, 01
 Mar 2021 20:05:35 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Robert Pluim <rpluim@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN> <875z2b3srx.fsf@HIDDEN>
 <87ft1fyo88.fsf@HIDDEN> <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
 <87y2f6spgm.fsf@HIDDEN> <87tupusp1s.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <83e88874-8da8-76ef-5f3d-cd227ad4629e@HIDDEN>
Date: Mon, 1 Mar 2021 20:05:32 +0100
MIME-Version: 1.0
In-Reply-To: <87tupusp1s.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:xF1bHNSC+RKa1YgOMjfwK3Qosqh5TTxLWMWj8XUv0xeY3EY/N5T
 tX2PEOBqd0kAsAKxd+CjSYp2QJrUb53eH/iicHKvt2oz4AnjxpecQ6m9GC6qBZkgyi628w3
 tlrRnkwy0JRzGUGfP4zXdDhtVRQvw2u7chlMudKT7B8YS0vnhtsmpyTnSlQhy2ostmcubyA
 HvQHIFEkKO1YqANUEliNQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:grt1PHmPGvo=:ft2nL/Ku+ieemP9JaXEVeY
 eGDi4wkMqlXnyxZUxveblOUzdfFoxAoMkIkEqnZDKCWKYl+/XSWOwhxvRa8G30sUE5N+81Rq6
 IO6ajLj1H/bYxHeC2sJ2OhcgOxx+tpu5amnq5Q6GZsbx7yFk5uSx7S/7TaZn1XJzOnW6ZkXQM
 ULA6ypluQ9gbmghTsr3calyvu+oUErnN4d39eXB/83G73zms4ccItV44pqeY9GSuPU0t+/RiQ
 vVbF2EarMU5RrFtp5+ng+HmTLUsylV8PFG73soE40egJrKYg22gQBlVzVZqMXTQSdN6W2Ynl3
 sGFKOOYyOsRI+HqiRG714R6uDXKd9Popox3Sodk+Wa31fAjHGPIf6Oy28/gjtJiJ3aUCa2H2w
 nsgofTQFHViO7Ox5VLLPdrcFonmdy5mm6COLUStY29W3Pi7+YOwiFMVC2c+DDr4E3FJmGagGe
 W7EV5vkhAO1MEkCMRxDIPOspt3Ro8TC/WXvi4YX1T9smaa2DhRKrr9LMxcqTGaFdQP/EEv67R
 3s5QiRGCnPDyipma77IMsmpaxT6quY4UDtajaZ2J+y0v4O3Vs88xH4NE/TV8Vywqx8K7/TI8S
 xZlaGe61Q3eHGI5F8cjG4M4Lso2CImN0AC59hk7f34OvA45SN0DUJq0ooDmUE7TF5LciE8WEu
 0MnVwRKbXlz+FVqoVcxpfLMqzfm51GTDBo6NqbL4+2O+GcoERfi96Lo8JbBZeMF9DpVJp+N/4
 ruJ5HsRcVlX7mFZACKEh/9q7rRoCCE+v4GDL8F3Kr3JVU3owvzz4abbhYBcPxMzyVw2xHp+6B
 Iqa3y28M3fGu1cSglp6SkHaCSft28hWe6YFkoF6C1lul/nIijCvdDlUKRoTUi8PdQHO0HGkVC
 /bTwOdqoiTvTYudrovT+ummbc8aEDVgSeOV0jmhLs=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > And in fact even with the dumpfile I see this in emacs-27
 and > emacs-master, just not consistently. I see it consistently here and
 the same with GNOME 3.34.2. But the same GTK3 build works correctly here
 with plasma 5.17.5 which, OTOH, makes my Lucid frame only 31 lines high. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.18 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > And in fact even with the dumpfile I see this in emacs-27
    and > emacs-master, just not consistently. I see it consistently here and
    the same with GNOME 3.34.2. But the same GTK3 build works correctly here
   with plasma 5.17.5 which, OTOH, makes my Lucid frame only 31 lines high. 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.18 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > And in fact even with the dumpfile I see this in emacs-27 and
 > emacs-master, just not consistently.

I see it consistently here and the same with GNOME 3.34.2.  But the same
GTK3 build works correctly here with plasma 5.17.5 which, OTOH, makes my
Lucid frame only 31 lines high.

So we could dismiss the frame height differences as WM idiosyncrasies as
you said but that unhandled space at the bottom is too ugly.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 19:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 14:04:58 2021
Received: from localhost ([127.0.0.1]:50806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGnqk-0001nw-Aa
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:04:58 -0500
Received: from mout.gmx.net ([212.227.15.18]:58039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGnqi-0001nk-Ix
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 14:04:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614625490;
 bh=jU5V9UmD2Ys39UAx2TeFVFixv21H8aXUGy/RJzkiqhk=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=GUFY60/+sOh/UCVIX1RE8ClnW8gQvIacmvDmWm4GIEZLQXHQ+Rx4FwNcWoPcd101a
 HkxCrQYJwfiV1zQ1egbwZ4hWyw8loV7Rr89JeCcW8Gb10zzdCdKfRiPMNUHYEOXoTv
 8aBud8ICF2Ruv8aUxJHhtJBuUzoeFKRJkuQbE2Wc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.96.75]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MNswE-1lRqRt3vtw-00OGIf; Mon, 01
 Mar 2021 20:04:50 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Robert Pluim <rpluim@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN> <875z2b3srx.fsf@HIDDEN>
 <87ft1fyo88.fsf@HIDDEN> <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
 <87y2f6spgm.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <484ba8f0-9b19-286b-3c94-21e1eda2eec3@HIDDEN>
Date: Mon, 1 Mar 2021 20:04:47 +0100
MIME-Version: 1.0
In-Reply-To: <87y2f6spgm.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:YV/7ZKZ8I7L0kq+XiR9s68ttIIbUJR7F7QfMDFqpimV3mFdNW7b
 eJwc0Mgx33sGk88WwawJS+Nnw9xj/kdb5hV6i/X0hBBLDXJJAkLRtkhidNBt33fszMGtW9x
 gRzqTG07+QiJxLxy/fX572hxMJHRWSDi7FpUqzxoLvoH3yKFQ1SxXGn0jkdTKRJWZmGrFDh
 jt9U9Ib97tC/JVrSoAjfg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:a9uMPLKVTqs=:DphFGyifCCr2Wg7U+OD5c8
 w9Zx23uFINIinW7lBTJedDQXoGnymT2BV3PDkZImR/gQMgagGjup0iZoruImmW8dDCowNNA3S
 w4LDlWUrJRtHsKUTD1hj+Vldoxtp5cAz8+L+WsTGaduiSXgSH2vul9aeUldSUj9Tjlsac3Nem
 bxb3GRZDs+qeA6DSB37K6ND+zY7xqVEvNbKEUMvg/SXJX0jfVy0DvcKAp5LzKSVb1k3peGo84
 inv/ofRVir3JeaQO760l5MVklwg39UN/Y41fctiw2ledXEAytNb6wy5mLRF0+Q5L5CcjzfrwF
 QU1+S7AIjPCTQPsoD7xMdz4X2liAZta4//jeHDk2QwLEJN+hQ5cLSpGwknfHXRaor0jYSUcNf
 UFEXm37a92gF5fajBxGzJTeRQLneb6PYLc99OD+Kglg8Imw0qAe601jvyIfXxpxCSQz6MrTvO
 4IWr4k8Qkk+riiD0uDXLyryeSCl5SvtaYTwTPu4QaVjFJVufYNNLOZcHRbOvcXTqB353NWuAz
 hpHZcPf+PNxDEj3WNGjOgBtC2XgGRIqNl+sFUxGQWcZGQT2zMtOdq+mtqthbH7AEJfx2uYD10
 02kMuXa3UogvFxObAzOKZMHjtpoP1dlX2MZvzpROFgrqKOqr1UN5Ud18ux6DNq8VtCfrNuKl4
 v4nu/DbExn9bMHvlni9Wmu725of2WjWII/66CZ4qdpycvEJSthPTbKAPtxpWqUcDOWhQjrn+N
 chndgpWbZPtqMSShj5yquUZUKy4d1un4hKk46yh0bYWfueqNoThIJmtqEMf76D8D7/Hf5gSFC
 5IqnOexWtZy/jIzLUHVkuiDsy845M7FnRxGhm+rzgFo1+mNtmBIZkqSaDLVMfIUvN5GoNQsgM
 AwMU/oCjOj5WQXi3emL7F8gGf/lOZ9uzNfi5wsErI=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Interestingly, if I run the gtk build under xfwm4 without
    its dumpfile > present, I do sometimes see the frame issue you reported,
   which > suggests itʼs a timing issue somewhere. How do you run a build without
    the dump file present? 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.18 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Interestingly, if I run the gtk build under xfwm4 without
    its dumpfile > present, I do sometimes see the frame issue you reported,
   which > suggests itʼs a timing issue somewhere. How do you run a build without
    the dump file present? 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.18 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > Interestingly, if I run the gtk build under xfwm4 without its dumpfile=

 > present, I do sometimes see the frame issue you reported, which
 > suggests it=CA=BCs a timing issue somewhere.

How do you run a build without the dump file present?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 18:32:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 13:32:25 2021
Received: from localhost ([127.0.0.1]:50764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGnLF-00012t-B6
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:32:25 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:37156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lGnLD-00012g-84
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:32:23 -0500
Received: by mail-wr1-f45.google.com with SMTP id v15so17234040wrx.4
 for <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 10:32:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=9I0a5ma9Iol+pYuuJ8nBjyIf1ZS0xuYGMqOuTVVuIZ0=;
 b=QSqV0VpXL6UCrWnCbM2dm+KJ8n3fLluk3UoePhf2ysaMoX2eHbaIo5x/7IFKbZFVUu
 4RHbOKSxKm3/4hQVabrnb+HPybO2+NuwRopFXOdCNCV2wwf/rY2zVL7Y44gHj7g2RF5+
 QlNvO2CFexK0MZ67FfjF68eOantYo/6/HiUEs00emCZi/JtRcUA7hb7XNIgGoSd6vnN9
 TsTVmMOhG1VyS7ngOjOSCIKKo+Y+bLPqkm9s9qH3kyDXqDlDYg+vLobMkHbZoVILne0Q
 9VUtXIM+1HDL/CgkxQGSATBo2aoA9OxPwBKffqy+IQlXqNEmm18bWB8WAN8QxqL1lqCU
 +fAA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=9I0a5ma9Iol+pYuuJ8nBjyIf1ZS0xuYGMqOuTVVuIZ0=;
 b=k2phVyVLU33mU6LUaGiloTFR5O2oTwgSb+1XA19mQNiskZD0nCXSZSn1hmQJ6YNAvH
 qGax707BfBrEAnqE0gN39QWFbjLv6QCCLPU/UASWxaI2szmIQYWkWJqwQpJceFkNu3N4
 lvL6g0tmjSaOjgIVakRgmeLMdUdpURzwz5B+qsW/UEKqJxc+stUEns/+IW5+LXzyvQ1p
 M2q9e98eashAD6C8/uUeuM016gV+MEM1kzCMTFq4Grak53/2mXj/0M3AvVjOzraV7MR1
 A2Ux1QalUBHa+xF3uxtaIlqtPnL4q64DnW5rWWRk2VBq14ZJUAF7iI3Q4Wt79E0dBPwQ
 2WNQ==
X-Gm-Message-State: AOAM530/9rR8E0iO4voGLZhTDoyP/dV+xm5EuhcCR/IjeTKSO8eGpvGz
 SJ6EdKykVA98e2N55a9clbTwQSBrRHkzdA==
X-Google-Smtp-Source: ABdhPJweWdqNWNVLWWRLkLdapAwE9XNtNovTzZueaRRe+KX7q69M5yDoOFbfp66LH6pHgxB7c2BGOw==
X-Received: by 2002:adf:ed46:: with SMTP id u6mr18002358wro.350.1614623536985; 
 Mon, 01 Mar 2021 10:32:16 -0800 (PST)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id u4sm18396844wrm.24.2021.03.01.10.32.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Mar 2021 10:32:16 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
 <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
 <875z2b3srx.fsf@HIDDEN> <87ft1fyo88.fsf@HIDDEN>
 <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
 <87y2f6spgm.fsf@HIDDEN>
Date: Mon, 01 Mar 2021 19:32:15 +0100
In-Reply-To: <87y2f6spgm.fsf@HIDDEN> (Robert Pluim's message of "Mon, 01
 Mar 2021 19:23:21 +0100")
Message-ID: <87tupusp1s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 01 Mar 2021 19:23:21 +0100, Robert Pluim <rpluim@HIDDEN> s=
aid:

>>>>> On Mon, 1 Mar 2021 19:03:44 +0100, martin rudalics <rudalics@HIDDEN> =
said:
    >>> With "xfwm4/testing,now 4.16.1-1 amd64" I don=CA=BCt see any issues=
 with
    >>> the frame (and it gives me a frame height of 32).

    martin> Hmm... interesting.  Which GTK version is this?  And what about=
 the
    martin> other builds?

    Robert> 3.24.24. The lucid build gives me a frame height of 32 as well.

    Robert> Interestingly, if I run the gtk build under xfwm4 without its d=
umpfile
    Robert> present, I do sometimes see the frame issue you reported, which
    Robert> suggests it=CA=BCs a timing issue somewhere.

And in fact even with the dumpfile I see this in emacs-27 and
emacs-master, just not consistently.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 18:23:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 13:23:31 2021
Received: from localhost ([127.0.0.1]:50757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGnCd-0000pV-Ep
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:23:31 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:45244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lGnCb-0000pI-GA
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:23:29 -0500
Received: by mail-wr1-f52.google.com with SMTP id e10so16950186wro.12
 for <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 10:23:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=ZDqsu2IwBIrDcn9Luk3v6me3RS2NRTvhBX5lFZCCItE=;
 b=RLwofwo6Nt4QvYQaruGG+CnLZAYIjxq8irudt7i0HvcWgVvAxP31d7t55l12KE2KR8
 6v+88V3sJi9x2qBkmrCe4+5zP73jL20Y8DsSucwlcn+qmNXYdCBgkO+GsL08N39Bmv1d
 wBYbEgrGeHOTZqF6TGsz+21T1sutfuVwi0gwOv9E4sKaH1OINKGEnPwY/lvM0QECkC36
 OZIIwie9RdZC0PeNV5YooX4k2izNeuNXhAtN0IY5iavcmKsJiqKElUDMHxWWgivTnQ7b
 rJGy2TUiDEWlXlH7zH/KIvMnxfxPlOBwGCJQtpejDANBfrF76ePrBTCpEqB34YYOPX8h
 cTwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=ZDqsu2IwBIrDcn9Luk3v6me3RS2NRTvhBX5lFZCCItE=;
 b=ouK3jWio83BGMlIiq1s3YKLwneGNJEqE7FqeoOqGthHxRaVB+YPypYSFYZrWFT4buO
 ahBVHlFw7ao2ue634fVNNhc2e6QA+f/V3XnC/5fe07d+0KaCEX7d0AkF9MDZJTTjSoSM
 VCRg03qnuUBX8OAuUhWVYJeq079u1GApBJQ54OINF9wVs5INQhWPJCWlQ5E5k8WHsQKi
 auxLDv/B+rEJ+5ZfjDuVeVCTXKDKzbqDmSuqjOW2cCXJbsCs+1QIAYEOmCKBhmVInhQK
 gQqUhd+W5xauseC/8kAMEHav3D24pi8tjR8Tu9q7MKvw3MJc3AbckY5YmI5scK1hMRET
 WMIg==
X-Gm-Message-State: AOAM5328INXE7icesBE/yi+hOnu74xJi5aetmRpSWQAgw17z4rHjoELn
 oh+FSwPFu5Hkl2ZzygFXMr+/QxA2uVGKwQ==
X-Google-Smtp-Source: ABdhPJy7tuV3OqiwY5fnCe8fdOE2J3gs3BbZbnBVq6Zy5eae/Z7jY8C1bQUf767MKcF6pclXSEVULQ==
X-Received: by 2002:adf:e791:: with SMTP id n17mr18147134wrm.322.1614623003305; 
 Mon, 01 Mar 2021 10:23:23 -0800 (PST)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id i4sm121552wmq.12.2021.03.01.10.23.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Mar 2021 10:23:22 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
 <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
 <875z2b3srx.fsf@HIDDEN> <87ft1fyo88.fsf@HIDDEN>
 <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
Date: Mon, 01 Mar 2021 19:23:21 +0100
In-Reply-To: <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN> (martin rudalics's
 message of "Mon, 1 Mar 2021 19:03:44 +0100")
Message-ID: <87y2f6spgm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 1 Mar 2021 19:03:44 +0100, martin rudalics <rudalics@HIDDEN> =
said:

    >> With "xfwm4/testing,now 4.16.1-1 amd64" I don=CA=BCt see any issues =
with
    >> the frame (and it gives me a frame height of 32).

    martin> Hmm... interesting.  Which GTK version is this?  And what about=
 the
    martin> other builds?

3.24.24. The lucid build gives me a frame height of 32 as well.

Interestingly, if I run the gtk build under xfwm4 without its dumpfile
present, I do sometimes see the frame issue you reported, which
suggests it=CA=BCs a timing issue somewhere.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 18:04:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 13:04:18 2021
Received: from localhost ([127.0.0.1]:50751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGmu1-0000Oj-Q3
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:04:17 -0500
Received: from mout.gmx.net ([212.227.17.20]:42887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGmu0-0000OW-CM
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:04:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614621850;
 bh=5sp4oOhrpuygGfvPh0L3CFaQX+5uFNb+3qeOabHxgHM=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=RWQnXU6Mwlaog48kCbZfMLiTl11Fd3Dm/imqPTaNfQJNp7b8GKn0id+DZXCfDsiWs
 hb6MGas9FeYtZRlvFC/DV5cShlvhhLMN14emvckkY26BYCPJxGFUUWwy6BvOAb/Bn9
 btf3YhAobxiu+wdQIYByz7LgIM8WNvUBqPdACEjc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.96.75]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MTRQq-1lMJEc12QW-00Tn1x; Mon, 01
 Mar 2021 19:04:10 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Eli Zaretskii <eliz@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> <83im6b7yrt.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <f6066550-f9e0-606e-b093-2c6ddbfc31f6@HIDDEN>
Date: Mon, 1 Mar 2021 19:04:07 +0100
MIME-Version: 1.0
In-Reply-To: <83im6b7yrt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:dqZJcT01DvtWTxqApfh76anevO9/4FvSuWJwKCNcV6Iz+i0/lxO
 n1H2oQIAKr/e4Nd/YkfmC8OqqliBULCyOAjfRjfaZVZYvZIRpsdRWr2DcfuQpxYz/R4QzLm
 SVnmmccJqBQ9Yg4828d26gDJMgXrDFJKH7oYPmDeBpBMvvgnSjzsJH3BfQURSnZeaW6OapR
 ffl4sRHguGcuF5acsxDQA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:1JD/16lWivc=:Pv1c3TOOevYkLIt+hhQ+xa
 Mg1Wbs82Gq8KJEomCZtDVgHHq3pRXhyKN9NQMVCQeN8qjTfPyqfS/ITGydFaW3CKEJIPbX7A1
 xl7zWiwsuamsVSavC3lllwIIYnyMHH38xQ6Ml+wVkm+xcVnZ1a9sx/JtqQrf6rVLal28A1Tmh
 KTkejd3kYWuJS+D3uUMTygFpI6ObfpJB9cemSOB14XXbLrfDR62Agn6wOCPw1Q17zUqB6L48d
 dpH9wL3f8rmwrUHph6gTF0idx/c6zed7EuKeQObePqcg2Pqdjbmhalvm+cKwKS0l2y/2UjY4f
 yV+IDnVJKIOkPjGZqnn9wukal8kdS1JEn+lFz5X67LeRNpzL2yeTpeaIjCfemjAEl6eng0I8v
 GMGMGA1BZ7OXGJYF39D0OiUe3H31U5pVrCpg5gUepkvEuUtDUONFZjejk4B0dNqJdqKr3m6Q+
 81ldCjtkEZOy+WBtSBvFxIte5F1kDgNuXiK3WhctWHZ2GmQhnGOG1Gee2gNVWFXfIq8YyEEfE
 4Ra86hpe2J0M5OeB67oq6OvwMZkfRapUqV/i3OJn9l3OscKg5dCW7l9vbGwtAxtv2RBYrSXxp
 0GNlu8K/cG7EO9QPOiJV4skpuhAyNp1B/bamHv5owyghHl1sbjeZyo417nHVsPOiOL7a1OdYr
 ZCvREfPWUUdlYmgpOWtkDVURxE/8b2XqjixLEXDy164w6re0bt5WuJqd7MfljaeH792Wkxxrp
 5dEdSqkLJrXLv3HSHO73fkvpyHXlQBsQe8D6XSIDi7C4UqJOp4XTgBaaADSxpjHn4HlnPwEwb
 swko6eioL6Teapab5jKMDz0KOXid9a5rr+wpmrM9SKBuuBCo2J+P6CsPEtoJ99F1TPjaN0dej
 Ucp+kdl/sEgVqKUMZ3IP5EMyivrxNmFF089Wf1Fp4=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >> The attached patch reverting
 58430f29968a5661caff630d20dbbe7c864fe08d
 >> and removing the entity above fixes the bug on master. > > Thanks, but
 removing the zero_vector entity is a non-starter. We [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.20 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.20 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> The attached patch reverting 58430f29968a5661caff630d20dbbe7c864fe08d
    >> and removing the entity above fixes the bug on master. > > Thanks, but
    removing the zero_vector entity is a non-starter. We [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.20 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 >> The attached patch reverting 58430f29968a5661caff630d20dbbe7c864fe08d
 >> and removing the entity above fixes the bug on master.
 >
 > Thanks, but removing the zero_vector entity is a non-starter.  We paid
 > dearly for that change, so I don't want to get that problem back
 > again.
 >
 > The other change is also quite important.
 >
 > We need to find a better way of fixing this problem.

Agreed to both.  I'd just have to understand first how the above can
and do affect redisplay.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 18:03:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 13:03:54 2021
Received: from localhost ([127.0.0.1]:50746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGmte-0000Nc-Gr
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:03:54 -0500
Received: from mout.gmx.net ([212.227.17.20]:50517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGmtd-0000NO-7F
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:03:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614621827;
 bh=FV115vjUqnOLfG2sG+GBSVQKSIWpdjslEWoOQdB7jHA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Z8VDBTG9ci1mRKxdSJB4fg3fgtij6esbBjbuoFb9LxYFLQd64QB8iz0FjxyswG++n
 71dfDrVZiMGz41odARrmG+xmnmNNKe9LR/CjLVaEnm+1Yl4MJdmzsBXO6t4cTv+5wV
 MVT/YZ8ttTgF7Kpm9rmhaE9g2k5bEPuxyLOIFvVY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.96.75]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1My32F-1m0NCu0EyV-00zZ0r; Mon, 01
 Mar 2021 19:03:47 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Robert Pluim <rpluim@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN> <875z2b3srx.fsf@HIDDEN>
 <87ft1fyo88.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <8a346498-e7e3-ca92-e518-86f6fc2c37b7@HIDDEN>
Date: Mon, 1 Mar 2021 19:03:44 +0100
MIME-Version: 1.0
In-Reply-To: <87ft1fyo88.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:KDmNlvPWfcvy9pCSQPPKuyGfvoU0ziqXACHzW6dzwQnpFSWmsex
 ZP3QaCvMWqftzrYLJWxt1x2XqdiQg+5X9IgKTzqHfD8d/RlMKkjiVmXJI7f0dBWesQsaLDM
 ubyILgO/nl0a1E2fYe7em4FrvGdDrzPKacVofPWMxf5PR70giotmoGQWOhseeINXLESUdsR
 58ZfRFWFIdEc1n046fHug==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/84dTm6tp3E=:N6/l+i8EeDhr2y3C37mYJd
 UDjZmGZy0Iz2QfmTpEkhgshYcJkD/Z7D5OeOp+IiER0MdVPe2GJdkJTR7PQEWHFXrZWgNefP9
 voaxqzT+p7t1G6cxrgprmGUFRIhR7ExWpLHKWOg4nhpxPYej70v0zixJjN7w4dGAiFkcZuxIZ
 iRU0K8j5R927LAwiyPd0BPhRHjXvtm+kUmE+bQuEH5FoOXggoG3I/600yuuYpSW6O002w2nZd
 BpE4IJ3GMFpopF9bReWF9YNWxHCrNazMtcqXqF9a14se7CcfPMI5wrtV3SFUvCRB6NmoILCD/
 t6A6DujLaI0iAOAiz7ThYG4y261vaCH4TbxFxhBNZDooNLHUAvCRx6Oq4GQLDexNi8BARldJi
 yJFi4MTjD7QiuidMrRCIKAQKxnVheWejxqyMgFAxrL7geaBTQkkeyzcPKAXG0/mOKD884Y5xn
 VZj+9atE56FPWAAtCcgMc/TdCCe/KdRx+vBX/eaP3RAqOSBvfDvkvhd8Fop4m17KQH83GoLLe
 U9YGgVjIS7cMJqd22EccgqKMsIrZNngXE+AKprAZFhEYMapdP9n9XFgSH+Gzc0jkUUzlnOgpL
 qp0oQ2rNhjIEt5liLaHS04Ip+18WUDstwDFDZfnlZKAe41RUy6mw+SsBJrRjzB/dkte5CYIjK
 g5Vtwst4Ox9UCNQ1Z8SApKdipXZHvECfnhr7lwyu79bhtX1xSVULPJyAP0TWNxThPmbbYzpEM
 RYGdL4uV+RA185UtZVH5RC3ASf/ghUjHIr/1wrSc3DfdJA4hAcN1WMu6g7YaYbo5UWbDVXrdZ
 QYm1evoKWQjTIl5X/KroozygChLYAtdFHYC6HuAbpJ2WHMq5x7WLo2V/QQ05sPsKmuwYtmW81
 Sx5u0VpextzorCHscMMyGCx84wNIeS7LsoN8njbZU=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > With "xfwm4/testing,now 4.16.1-1 amd64" I donʼt see any
    issues with > the frame (and it gives me a frame height of 32). Hmm... interesting.
    Which GTK version is this? And what about the other builds? 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.20 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > With "xfwm4/testing,now 4.16.1-1 amd64" I donʼt see any
    issues with > the frame (and it gives me a frame height of 32). Hmm... interesting.
    Which GTK version is this? And what about the other builds? 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.20 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > With "xfwm4/testing,now 4.16.1-1 amd64" I don=CA=BCt see any issues wi=
th
 > the frame (and it gives me a frame height of 32).

Hmm... interesting.  Which GTK version is this?  And what about the
other builds?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 18:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 13:03:44 2021
Received: from localhost ([127.0.0.1]:50743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGmtU-0000NC-Ad
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:03:44 -0500
Received: from mout.gmx.net ([212.227.17.20]:36421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGmtS-0000My-47
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 13:03:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614621815;
 bh=dXDV4BO2fOXAsKpA9QxSNQyGYwxnS6k5I5WOfhk/9wg=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=AnFGRAOZIYy5PXFulT1VEOV84aqBT9vXr7z3WxEBq9Ck1E2TirEDx+xfu37bg4y3N
 4abxK6kYoCjtUEuCMzDnA2oLS1jqjxdmzQn3WdUoDBycpy5nSSapK0ULYemB7NlBZv
 mK5Fn0Y1fqztioPWCgO+Jpbvfg9gFz772z5ewR3k=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.96.75]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MkYbu-1leWqn0UgA-00m08q; Mon, 01
 Mar 2021 19:03:35 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Robert Pluim <rpluim@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN> <875z2b3srx.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <8d13aa11-963f-13eb-b444-d37bd9cfa222@HIDDEN>
Date: Mon, 1 Mar 2021 19:03:31 +0100
MIME-Version: 1.0
In-Reply-To: <875z2b3srx.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:X3iLd0kA9EIdPXwUk+PyJhZCU8ASG8o+GRO3t8Z4odzS93Z7ezj
 acoJ7BI9vWp7vRHyGV+9WkuD8e6A8ePLlaV8UGy7nFFaqlZ1Jvb3QsBx/CViQOmpGKLpNGk
 ZQ6bTudwjz8V5Saj+5FYkwJsrtfDoaHWxNKO41IACbSEC4eBoyDvHTtUgmwHNdjWcPxc4W6
 +nj0Rvd3gPmMiauA2Mjkw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YWKlFeCcGmk=:2KXRLpGPZTTh1O3/jCat3Y
 812uaxHyi7uAgGArStCCtjudtxWjbPY3/5GOebZYYA+ZO4lgNjoEB265ruu5WEgRimv6Ah78p
 rcq3A1nQxd++9edyApi7o0WEZMzGSe8n+J88UgEb62KRBfIwRXTTHKYnvTWqRduT587tVtYym
 Eo2yZwulftQnxWP4jOka6Vcq4Y6bmQhsDFDth513wm2svPGbU6vLy3uurEPEFz0rv8QTxB6tN
 fMZBvMp45E4pfF3jezxWUtuImgAxsmOCPBlsoKkwKivQ0IfhJD8yc///gsjZrfvxvohdMKJTC
 FrV2/ikvjXruXzRfW0cjpzEKACpWbIc3q8I2RsJJyY9sPHi2dVG4ea0Drk00GRx43KBMDG8UH
 rf1kyXy+ar/u+BBG4cnFf478bAmT9FVOpSRZE3ZqtzhOQuJH5bSdkCBhSghalsg/oCa70BKz+
 qgfp/cBAWS7ZzFIRqvvtWXoh4U//Hd1lQAqiZ0bQBD0Uc8nKHm9AIgGiNfV7yiCl10uma34VQ
 F76uCYT+uuegpWlxLNq82u4pWkyZtE4a6I6c4yJ4iqkpnVFXhCaoEJOdin+7PHtGiAEVsoGSt
 Xn0BNzsoXyPrxKulmFiCOsWtH1If8HtUuF1/SdkFWMsiRv/l23AqZBma69DrT4XoyZIoOfXNg
 RPzhugi43wVSqbZQilVXDASt3h9T66vXgtYCI+5er0eUU7lGUGbHq1+gaj1kRKDTtbq2ImfXF
 25jyrf8YG4rEGeeQ5C/o3O9TcMKtmPbR02vXEDMNTHtvpw2Y4Uok9ht1sZFHjriZEh5mwtIeL
 gehnN7fKmsegexe7KKTYnatCSz9YGD2X0u7hQOTqDiCeo7Php6qihJWbTZReQ5Q5OOcIhFAkV
 M46Ww0Bh9UDV+K9oqSVwsNfH2ADnzvC8i4acj+HAI=
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > 30. A lucid build gives me 31, so itʼs no better. (all
    emacs-27) Here only GTK3 builds are affected. Back then it took me months
    to get these right. So the values you report above are quite annoying. Maybe
    someone else could try ... 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.20 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > 30. A lucid build gives me 31, so itʼs no better. (all
    emacs-27) Here only GTK3 builds are affected. Back then it took me months
    to get these right. So the values you report above are quite annoying. Maybe
    someone else could try ... 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [213.142.96.75 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.20 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.20 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > 30. A lucid build gives me 31, so it=CA=BCs no better. (all emacs-27)

Here only GTK3 builds are affected.  Back then it took me months to get
these right.  So the values you report above are quite annoying.  Maybe
someone else could try ...

 > <wild stab in the dark> What happens if you disable the code that
 > displays text labels in the tool bar:

I thought about that too but it doesn't help.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 14:08:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 09:08:02 2021
Received: from localhost ([127.0.0.1]:48545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGjDO-0006et-2M
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 09:08:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGjDN-0006eT-4e
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 09:08:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45206)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGjDH-0006Ur-MW; Mon, 01 Mar 2021 09:07:55 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3544
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGjDH-0001It-4K; Mon, 01 Mar 2021 09:07:55 -0500
Date: Mon, 01 Mar 2021 16:07:50 +0200
Message-Id: <83im6b7yrt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> (message from
 martin rudalics on Mon, 1 Mar 2021 09:31:20 +0100)
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: martin rudalics <rudalics@HIDDEN>
> Date: Mon, 1 Mar 2021 09:31:20 +0100
> 
> It turns out that the "something else" is just that
> 
>               /* Querying further backends can be very slow, so we only do
>                  it if the user has explicitly requested it (Bug#43177).  */
>               if (query_all_font_backends == false)
>                 break;
> 
> The attached patch reverting 58430f29968a5661caff630d20dbbe7c864fe08d
> and removing the entity above fixes the bug on master.

Thanks, but removing the zero_vector entity is a non-starter.  We paid
dearly for that change, so I don't want to get that problem back
again.

The other change is also quite important.

We need to find a better way of fixing this problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 13:53:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 08:53:37 2021
Received: from localhost ([127.0.0.1]:48532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGizQ-0006Jr-V7
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 08:53:37 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:40200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lGizO-0006Jd-Ti
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 08:53:36 -0500
Received: by mail-wr1-f47.google.com with SMTP id d11so16230400wrj.7
 for <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 05:53:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=fkxvRrlonFYbajkQo01f6b2wxwV7blbNaf8i8tPfhng=;
 b=KeOXDhC+PIX+hPXLN/BE9esH69230ejbOiecntf1EKJnlhiCaVC2DCFv3rzkM3Y+EV
 62KuMSfoT3Kdyl2wYnJiL/PivIa+oTaglviORMdDh8mt5h5hbX5OOqHTMUfTYLhr1Kkf
 lwqiyuu1zukuHAg4EYDExb34ICXzDSYR2QiEQgKUuhn4AkLygwSt8DpPL14Ohu7SP9Z8
 RUgviKXSnyIy0AckjvfqhnEJbUfcF5kF3JGGUXNA3FeqoPZmLongc8fD+ATYOyN9qrq2
 Wkhl0McQLF/fJ5Yi6QfilAVoxBan69cLDf7CkrGrJEmiorRUR+IICssbJAHR3EKoK+DM
 iGRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=fkxvRrlonFYbajkQo01f6b2wxwV7blbNaf8i8tPfhng=;
 b=OPhBVEIXntitgUw4UDSIaptAtbKCWXaWbppbWfy/VEpaJHaLjRdYM2s27erUptMP9D
 4iRLlZH54lQom4C4h4ySBEBWoRQZMSj00R9zwww/u0enfG2n2JZdaafANVK5fYRkwBTS
 eZef2E8tVe/fQhTEeGwHaH3vadTgZR//IiueJ9PWJvRB3jCPy1bCneInG91sON6zb0/D
 et061sTPdAmcd2HbZI/HiTrjnWq4XoKNoU2CjDi6qcR83fX8BOrJoLQlGZuhTPl0q/A2
 +WHx4evEhGtHYb7IrDHrPgiv3phtu39gn+TOplkbQB5/Q1Et8W1StvVKXq5+K9QRdvK/
 Hy1g==
X-Gm-Message-State: AOAM533pkqRt2k+thze0WRk/lFOgqqeG6ygIfbgJ2zUutX3FLp2Cs+DB
 i4Mgcy5hFVh2zguUdgibxpUqF3lDoUJSaA==
X-Google-Smtp-Source: ABdhPJytjVs05BfRtYlhma/M97wHm8EoYP32pVDwxmVuy1eeRBQ5GfBAALZvmBtyCDq1mCtz4Z4ViA==
X-Received: by 2002:a5d:4443:: with SMTP id x3mr1531572wrr.49.1614606808628;
 Mon, 01 Mar 2021 05:53:28 -0800 (PST)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id r9sm20949030wmq.26.2021.03.01.05.53.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Mar 2021 05:53:28 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
 <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
 <875z2b3srx.fsf@HIDDEN>
Date: Mon, 01 Mar 2021 14:53:27 +0100
In-Reply-To: <875z2b3srx.fsf@HIDDEN> (Robert Pluim's message of "Mon, 01
 Mar 2021 14:30:58 +0100")
Message-ID: <87ft1fyo88.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 01 Mar 2021 14:30:58 +0100, Robert Pluim <rpluim@HIDDEN> s=
aid:

>>>>> On Mon, 1 Mar 2021 13:38:58 +0100, martin rudalics <rudalics@HIDDEN> =
said:
    >>> I=CA=BCll just say I don=CA=BCt see this with Gnome on Debian testi=
ng, with
    >>> either emacs-27 or master, so once again it=CA=BCs window manager
    >>> dependent.

    martin> What does (frame-height) give for your frame?

    Robert> 30. A lucid build gives me 31, so it=CA=BCs no better. (all ema=
cs-27)

    Robert> I=CA=BCll install xfwm4 and see what happens.

With "xfwm4/testing,now 4.16.1-1 amd64" I don=CA=BCt see any issues with
the frame (and it gives me a frame height of 32).

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 13:31:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 08:31:09 2021
Received: from localhost ([127.0.0.1]:48500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGidg-0002eo-Jn
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 08:31:08 -0500
Received: from mail-wm1-f43.google.com ([209.85.128.43]:39462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lGide-0002Wn-9r
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 08:31:06 -0500
Received: by mail-wm1-f43.google.com with SMTP id u125so14463460wmg.4
 for <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 05:31:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=DyYopT/euWUjcyPafxq8zRUqfcQMwZlxtgmdkIKGFYA=;
 b=pO41DCoCGwX+IVW2CqK+XYaWK0i6kjnl84DuGozQWoHFskBXC1oep5La2j02YDH1Zy
 o0dPEX35j/pm8NuhLLccPnMM7egf0ln7yR+P+HRk72FJpa3ke6RAvjmGHR75oUz7/MS6
 UK1aTtZphSaApyN5YPTbWRnVtu0pGsyQcYWGFeSl3k672KavCk5qPxKRbdpdGTzq746z
 8H0moZrJcnmjz7IgVgznjhGcgO6U6Lpvm7l95zduYvghDydQCa+da/3SHr0R/SPLjXpJ
 46L2BK+S3f6wnlGxeotUI5eU0385DvIoU/1tQhsH1jCyKrV0Q5o0GCm8dCwt82aQcgKI
 SeGw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=DyYopT/euWUjcyPafxq8zRUqfcQMwZlxtgmdkIKGFYA=;
 b=YAc2FnYLVOxlRXrQ5K9a87oZ4FF5DbKWtRV7eGxPOpyiI9X5bySro26+0UvQElq5kP
 r46yHUfkTwtcjyFnlgs+YfKbm2M+cB7TqxuXPpaI/vK3Wr9Kwoojye9Xg4Bex1jQU0G2
 0MOHfPI/GK/VOXdiEFy7rwDkyVSuZdgD9NuslqaTgwcHDpIiRLmXhWoiiOkjT64Fn2kw
 Ytuv8vrsKfrSY0FnS0UC3ayo731N1/53Q5sz1IV2RqF7Cd3kM9sOsKFvoBLZCw2nq/i2
 2EUSA3aUFgn3sGcUPcvxQNiZvJZNbUHvNj4mtxE/qXRcyy+oRjXUbE4aDNxwizZucuww
 V5Dw==
X-Gm-Message-State: AOAM530w5QluV2c26psgfjrVqMfSaa0US6pIhAtDFtENFTqvr2g4IGHJ
 mP98kUvfgWJJwZn0WHjX1+/41fHaN/rABg==
X-Google-Smtp-Source: ABdhPJybgdrmf04ZVHVI2axREs2v/GAPTaFE4Bmaz04VSXoJ+QG+0RcBHQXYxJ8o+OHqTkCiiGnx5w==
X-Received: by 2002:a1c:4b15:: with SMTP id y21mr16272036wma.94.1614605459761; 
 Mon, 01 Mar 2021 05:30:59 -0800 (PST)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id h22sm25618811wmb.36.2021.03.01.05.30.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Mar 2021 05:30:59 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
 <87eegz41ui.fsf@HIDDEN>
 <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
Date: Mon, 01 Mar 2021 14:30:58 +0100
In-Reply-To: <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN> (martin rudalics's
 message of "Mon, 1 Mar 2021 13:38:58 +0100")
Message-ID: <875z2b3srx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 1 Mar 2021 13:38:58 +0100, martin rudalics <rudalics@HIDDEN> =
said:

    >> I=CA=BCll just say I don=CA=BCt see this with Gnome on Debian testin=
g, with
    >> either emacs-27 or master, so once again it=CA=BCs window manager
    >> dependent.

    martin> What does (frame-height) give for your frame?

30. A lucid build gives me 31, so it=CA=BCs no better. (all emacs-27)

I=CA=BCll install xfwm4 and see what happens.

    >> I=CA=BCm surprised that querying another font backend when we've alr=
eady
    >> found a font causes frame sizing issues like this. Do we understand
    >> the cause here?

    martin> No.  All I can say is that it is tool bar related.

<wild stab in the dark> What happens if you disable the code that
displays text labels in the tool bar:

diff --git a/src/gtkutil.c b/src/gtkutil.c
index 825fbe1d45..425b0727e9 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -4708,8 +4708,6 @@ xg_make_tool_item (struct frame *f,
=20
   if (wimage && !text_image)
     gtk_box_pack_start (GTK_BOX (vb), wimage, TRUE, TRUE, 0);
-  if (label)
-    gtk_box_pack_start (GTK_BOX (vb), gtk_label_new (label), TRUE, TRUE, 0=
);
   if (wimage && text_image)
     gtk_box_pack_start (GTK_BOX (vb), wimage, TRUE, TRUE, 0);
=20
@@ -4723,7 +4721,7 @@ xg_make_tool_item (struct frame *f,
   gtk_container_add (GTK_CONTAINER (weventbox), wb);
   gtk_container_add (GTK_CONTAINER (ti), weventbox);
=20
-  if (wimage || label)
+  if (wimage)
     {
       intptr_t ii =3D i;
       gpointer gi =3D (gpointer) ii;

    >> We can revert the bug#43177 fix of course, but perhaps we should make
    >> it conditional on !GTK3 || PGTK or something?

    martin> First I'd like to fix the behavior for Emacs 27, conceptually a=
t least.
    martin> Then we can discuss Bug#43177.

Works for me.

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 12:39:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 07:39:11 2021
Received: from localhost ([127.0.0.1]:48381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGhpP-0004TQ-2T
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 07:39:11 -0500
Received: from mout.gmx.net ([212.227.17.22]:34071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGhpN-0004TD-0a
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 07:39:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614602342;
 bh=avgFbOsXDkFJ+NlAbLumsapxCScpHfgy8Xl9659kFJA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=eRpTV1tbXJGVFuI0iquVjSnRYVSJSDHvfSLY9VEMmAYQ3r4n+wa8F8FQATu8IOhu/
 c0MNBgf02iMs0BYfMpf6fDDJ/ZnitRuitCcK4thPno1m8CbauynVpR38rEP6acBjZs
 YuZVyRUMv9pd2ybO5iUx5DtB1Tz8eGZzd/SmWuCI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.109]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MgvrB-1liND63hfR-00hLlF; Mon, 01
 Mar 2021 13:39:02 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Robert Pluim <rpluim@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> <87eegz41ui.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c338def5-2fe7-17cf-efaf-9578b595da0c@HIDDEN>
Date: Mon, 1 Mar 2021 13:38:58 +0100
MIME-Version: 1.0
In-Reply-To: <87eegz41ui.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:E33Xh4xbHrxU/PEkdSL/PXPQ0jXz1iyrO+EZGNpMZLGNaEysEdN
 50HUglxa0zOWLy+OUmV/tX0/E68lmC14LxROOOGlnLU295ypu8JJVC5idKVQ2swqa4SKofm
 IFvnfOQ465mfvs7JxAFPQy9BB7M1Pu2AoZSTcskDjlMXbHfXycm4jiPNThkZBPIrJU3owkH
 GnTvjoRxctOCHYOCRZnkw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:H0je4JJAy+E=:Wg1Q9ZeYDqbVbWPeSoAAXf
 9uu04mE2C5/Bxk4YMhHLPvnmZxuLj08F+iX3WapisAIvQoziFkhdKBvM14yTzOFGjNAUhE9QH
 aSRprtYB1c1YObuIwtAJer3zkSEmXTTyE+CuB1+iZyU+olM3bqoiP8dFiwLb3tytuQDiT4jcf
 vj/Jtb/Xqq+q5SNcDONHFMBkE37rBjnWY7qhEDXYNCR62eBdSeXhgpX759iPsT0JNpsd9Fa+s
 J+pRZ2ShfJk1HGZarEagulCdh6MKNkQGGoDR4MPKQ0cMM95X0teMqth3YlEY6Ii1beRL+mpR4
 cnRHEgibKWx4aReSCJ2uExe3US8iTvc19SYnqv5oaLWUvnDLVgWT3ZsdOYanUnCLmise2m/YE
 4mM0hrGVeK2QkG60fCxomjrsyQL6aY2aS85yePp5cgykHWMvdQKpQ3Sj7nUjQeludt0jXpeJI
 lf/wOe0rvnCxBhgMBOz1zP8pZWY6DNQe+h+VGvcCJo9hBYm8ckRlyeMVk/cETnneXYx/BtShi
 /ZXe7AEyFtQyfnCTHa188Wj018YNwk9jSb4Yrm3pXXDhBXWVvzOa3SKDCfxMkz/yP5zmWBC1T
 zjypweJKQz02JEYkSLwCG7cEkE7nnGJjqOr0Ik2GhOTSMxK9w8GchGCWoMYQ/Tc+OZmKDpmFO
 z6+uKmZ+MI3rOOZB0qzerUNxpZ402miJ8Laf5nnEMArypsxUONRo6Th8W8v0yLohDHXqhXFeA
 cKPG9hXzQ6zGDLm8pyLV5phkR3vVvOXuXv5kvJ2uRRP3s+SDavbj6yw8Mx1AmNxLvdlTRBk4H
 jVvZITHkXoZ1TT6DHfoFYGPnPBnbIh+WXzBKzaeM9ez6PE5rEXzcrNhvCWfBcTv1A/FwDm0yz
 e0xeBky+XsmjqSDy6Shw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I=CA=BCll just say I don=CA=BCt see this with Gnome on Debian testing,=
 with
 > either emacs-27 or master, so once again it=CA=BCs window manager
 > dependent.

What does (frame-height) give for your frame?

 > I=CA=BCm surprised that querying another font backend when we've alrea=
dy
 > found a font causes frame sizing issues like this. Do we understand
 > the cause here?

No.  All I can say is that it is tool bar related.

 > We can revert the bug#43177 fix of course, but perhaps we should make
 > it conditional on !GTK3 || PGTK or something?

First I'd like to fix the behavior for Emacs 27, conceptually at least.
Then we can discuss Bug#43177.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 10:15:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 05:15:11 2021
Received: from localhost ([127.0.0.1]:48205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGfa2-00074e-Qh
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 05:15:11 -0500
Received: from mail-wm1-f52.google.com ([209.85.128.52]:36477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1lGfa1-00074M-5y
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 05:15:09 -0500
Received: by mail-wm1-f52.google.com with SMTP id k66so13894912wmf.1
 for <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 02:15:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=AdKvcsZJ5qhyJ3VUph4LVYDWVkOIG/GcdK1AehWj2LI=;
 b=VEc8fHPGfxPVUc7CbsapbcEDLXijljxQ1/9TuNf/bYRAuqAjcGaTremIxPWL30GWq9
 yYysAJfyoIQ/LQaGnxeIhTZTxZs6CzmJKUMou5gx+/8UOdKktBwDMMFSwDVn2zcKBChA
 VslSX4kvAGdm5rR5dtdGO9d6kYtdm22Ba7uIkB6K3Dk2JMy5mMoHLPYI+AlD/t6QSeDK
 NgxhgxSpNqNwUwSU3nmgVN2xTcZ8qbtt8BdXnLoT3X2lLDq1vfo/fzu9L6147PwtxmR5
 FBXlxZ/kWkK7+y4ndagtEW+m3iLCBD4LOgptOBW5knRYXjZ7OusQpYasQ2LGVDVKq4Rz
 dzYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=AdKvcsZJ5qhyJ3VUph4LVYDWVkOIG/GcdK1AehWj2LI=;
 b=rA7r3zL5SbOcDTYuZ7UBLcW8G7GQ3458Z21ksVWYGlboKWhfIwsRL609Zu1foBS9TX
 lwMhG7PaY8GPBTuSqcNXwl2oevbiPFiGiTFf9kachfHUapIYfoZwPbNGiFHV+hv00rBN
 xpticnTv2D6rnnULEbJ1+Zfz61Yz1C3BouCjC+WHiSoP9esacpMAEjwHzAzkXeaBuU/n
 ekPve3XCsdyOjG9ww3zkGaQRiv4QSU8drfAjUgDxY0ZVq1ZvlKSX0RTnfRDVGulXlxnJ
 RWgGNk3/EB7fTle6mwJHZZHPqkvvccEwaAe2Ag12nC2Y/1OIljRriN9fRkYrwayFzAIp
 aDNg==
X-Gm-Message-State: AOAM532f6iNAFkKMpMGqztYfkbkZNit9o+OUOMwPr9z6FkXrgthlSOyv
 DjwHXncGkXc6VkIC46Rpwnf0HJOKtEfGkw==
X-Google-Smtp-Source: ABdhPJwPwHTaadu/Y7BiVOx0WDvXuG3RiqxubTpBbTJ5/L82q8xfsZ4WXMtDEQZ4WCX/PplnzXaLSg==
X-Received: by 2002:a05:600c:1457:: with SMTP id
 h23mr15298349wmi.118.1614593702826; 
 Mon, 01 Mar 2021 02:15:02 -0800 (PST)
Received: from rltb (91-175-207-237.subs.proxad.net. [91.175.207.237])
 by smtp.gmail.com with ESMTPSA id a198sm14122387wmd.11.2021.03.01.02.15.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Mar 2021 02:15:02 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
Date: Mon, 01 Mar 2021 11:15:01 +0100
In-Reply-To: <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN> (martin rudalics's
 message of "Mon, 1 Mar 2021 09:31:20 +0100")
Message-ID: <87eegz41ui.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 1 Mar 2021 09:31:20 +0100, martin rudalics <rudalics@HIDDEN> =
said:

    martin> Re-sending this since it apparently got lost by the bug tracker:
    >> Reverting 58430f29968a5661caff630d20dbbe7c864fe08d with current mast=
er
    >> does _not_ fix the bug, so something else must be at play here too.

I=CA=BCll just say I don=CA=BCt see this with Gnome on Debian testing, with
either emacs-27 or master, so once again it=CA=BCs window manager
dependent.

    martin> It turns out that the "something else" is just that

    martin>              /* Querying further backends can be very slow, so =
we only do
    martin>                 it if the user has explicitly requested it (Bug=
#43177).  */
    martin>              if (query_all_font_backends =3D=3D false)
    martin>                break;

    martin> The attached patch reverting 58430f29968a5661caff630d20dbbe7c86=
4fe08d
    martin> and removing the entity above fixes the bug on master.

I=CA=BCm surprised that querying another font backend when we've already
found a font causes frame sizing issues like this. Do we understand
the cause here?

We can revert the bug#43177 fix of course, but perhaps we should make
it conditional on !GTK3 || PGTK or something?

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 09:46:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 04:46:49 2021
Received: from localhost ([127.0.0.1]:48124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGf8Z-0004Ec-W3
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 04:46:49 -0500
Received: from mout.gmx.net ([212.227.17.22]:54289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGf8W-0004E9-JT
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 04:46:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614591998;
 bh=xCpLw6jUPOLdmbgOhoFW7gIw5m/PqZ13YueJwKgubks=;
 h=X-UI-Sender-Class:Subject:From:To:Cc:References:Date:In-Reply-To;
 b=kXUV+8lv7aKeaBijCde0H13TbQI7bfP9fc+xyatKpch5HLetD15BtDab+3vAFY8ab
 WlLMHjLpu98933P2CyFOmUi46QvwzdepDjn9BULh4mudAwngHIMyeOcyTWvnmyAGEr
 dYTU9b7DhvjnKXK9RKtIPJY9eQfrOqHB2DtiqTbE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.109]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MhlKy-1llIz71pz6-00dnPu; Mon, 01
 Mar 2021 10:46:37 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
From: martin rudalics <rudalics@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <83tupw83oz.fsf@HIDDEN> <76243df2-3899-961c-3c9a-ba792a2311d1@HIDDEN>
Message-ID: <5126dd50-dbf3-8956-eb4b-daa16c910777@HIDDEN>
Date: Mon, 1 Mar 2021 10:46:34 +0100
MIME-Version: 1.0
In-Reply-To: <76243df2-3899-961c-3c9a-ba792a2311d1@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:HJsBhBrF4AHueQYBHU8c9QRk/bfcSrtXCJBcEl34OXUuJTUaCWH
 SiUr+24H5e3y0TQvt24+zyZ+J8xV15jqRaKXwflAiFeEkNA/Ke6ODBD3TmTsb2sWeXzkilO
 UYIcOSfDnCoNQn3bciE17ueLGA4FO8mGdJVlFUnVuij3pVlWCB6KguDxNE0YZu17mqY4Ww8
 GWje8oevx7fUuYwzdQTCg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:p/Lj9ES7Hwg=:59BfO3rcEIMkYjFo0CwmNm
 BStxAUqFnv7ScoRwRo4012V+R75eTLsjwuGd/g+R12VDHiWc67lxFu8QeRwZA6PHOtoCe2ZBl
 EYUPb5M9wzplvWKCe6tcv3gxZs9msZ1S/ZnIJMJTfmUoFt/72FOnXfbOKxuB4VuuqhSgxSsrX
 QSRQG8ZARCu7k874waFktiISOHrshSwtWFFi43hJXgQhtlfjyzt/6fapQoDhLpJRIY4XBPGld
 l5WS+legEgI0n8PkjOXIiQfVAY+TQYketvjl0Y5B0uWRq3RIdQG5OrEgySQfQvl11rv3Yn0xA
 x+4QEgqtcIpWGHtKsj7K2eZPkGff/7RsQVFygejcitu+VEMJCnJinjdKIK+tL4T0KK56GVClo
 BdnNQVCyQRGnVnx2yt65vGIdSIlBXXN0ykAtZJtkLI1IzFilXAhdFR77/YmWfH8ECP+hcN6TC
 CVKHpBwUtEsLmBL403HI0lzsfrBympwGEGw5o6KqUBtaIWD5ZOzZkpwuPWW5khMKn+cWd1Dnr
 ijyvqvLaugFNth3u9vrcgnctERRa2lUECFWJFT3EnZMSl1hw8ZJ2qBLnSvK5Xo5uJIE5aEq9S
 dCWAGqV2wCQapvPhtcE6ju6/ji85LD8UL30pYqlRAp/YxiSpDJsjIYvW8f58PAmcEbWV+WsvA
 J/DU2N7CLO0oBUvATvGqZJhlDGXE3p1vtlfuzbjTqIAVKfn4F9Irry+kyakci4gowG0w5ozbV
 WIlQmudQdXobTk3kiAuu2lCp51dUASzKoAffaUH8J5NsOudXjV4iXatwW34H2wD7+1PTHbUfz
 3eRCGfWaAY1QHrNOeAyyWraNzcL+Hz/4dnW6OCHLVjeeycjSZ1gAf8V2M6x9x0xzzA3XX9J5m
 Qw9paR0hTKp2mSNBtm+Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > But so far I have no idea
 > why font cache issues would have any impact on the order of how things
 > get executed here.

One clue I found is this: With a "good" run, update_frame_tool_bar gets
called three times with an existing FRAME_GTK_WIDGET, with a "bad" run
it gets called four times before the initial frame appears.  The two
traces below are for Emacs 27 where the first, "good" one is without the
zero_vector assignment and the second, "bad" one is with it.

martin


WITHOUT zero_vector:

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x1456d70) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x1456d70) at ../../src/gtkutil.c:4948
#1  0x0000000000619fd7 in xg_create_frame_widgets (f=0x1456d70) at ../../src/gtkutil.c:1294
#2  0x00000000005e5607 in x_window (f=0x1456d70) at ../../src/xfns.c:3194
#3  0x00000000005e7eb1 in Fx_create_frame (parms=XIL(0x105e383)) at ../../src/xfns.c:4055
#4  0x00000000007b4852 in funcall_subr (subr=0xf8f0c0 <Sx_create_frame>, numargs=1, args=0x7fffffffb568) at ../../src/eval.c:2872
#5  0x00000000007b431c in Ffuncall (nargs=2, args=0x7fffffffb560) at ../../src/eval.c:2799
#6  0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff3e3ee6c), vector=XIL(0x7ffff3e3df85), maxdepth=make_fixnum(13), args_template=make_fixnum(256), nargs=1, args=0x7fffffffba80) at ../../src/bytecode.c:633
#7  0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3e3df55), nargs=1, arg_vector=0x7fffffffba78) at ../../src/eval.c:2994
#8  0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffba70) at ../../src/eval.c:2801
#9  0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff3e3eeac), vector=XIL(0x7ffff3e3df15), maxdepth=make_fixnum(3), args_template=make_fixnum(257), nargs=1, args=0x7fffffffc0a0) at ../../src/bytecode.c:633
#10 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3e3dec5), nargs=1, arg_vector=0x7fffffffc098) at ../../src/eval.c:2994
#11 0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffc090) at ../../src/eval.c:2801
#12 0x00000000007b318e in Fapply (nargs=2, args=0x7fffffffc090) at ../../src/eval.c:2386
#13 0x00000000007b4746 in funcall_subr (subr=0xf97cc0 <Sapply>, numargs=2, args=0x7fffffffc090) at ../../src/eval.c:2852
#14 0x00000000007b431c in Ffuncall (nargs=3, args=0x7fffffffc088) at ../../src/eval.c:2799
#15 0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff3cfbc7c), vector=XIL(0x7ffff3e3ba7d), maxdepth=make_fixnum(15), args_template=make_fixnum(128), nargs=1, args=0x7fffffffc5c8) at ../../src/bytecode.c:633
#16 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3e3ba4d), nargs=1, arg_vector=0x7fffffffc5c8) at ../../src/eval.c:2994
#17 0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffc5c0) at ../../src/eval.c:2801
#18 0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff3e4e5cc), vector=XIL(0x7ffff3c1f21d), maxdepth=make_fixnum(14), args_template=make_fixnum(256), nargs=1, args=0x7fffffffcba8) at ../../src/bytecode.c:633
#19 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3c1f1e5), nargs=1, arg_vector=0x7fffffffcba0) at ../../src/eval.c:2994
#20 0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffcb98) at ../../src/eval.c:2801
#21 0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff400baa4), vector=XIL(0x7ffff400b9fd), maxdepth=make_fixnum(6), args_template=make_fixnum(0), nargs=0, args=0x7fffffffd090) at ../../src/bytecode.c:633
#22 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff400b9cd), nargs=0, arg_vector=0x7fffffffd090) at ../../src/eval.c:2994
#23 0x00000000007b4360 in Ffuncall (nargs=1, args=0x7fffffffd088) at ../../src/eval.c:2801
#24 0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff4011b5c), vector=XIL(0x7ffff400dbdd), maxdepth=make_fixnum(14), args_template=make_fixnum(0), nargs=0, args=0x7fffffffdbd8) at ../../src/bytecode.c:633
#25 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff400dbad), nargs=0, arg_vector=0x7fffffffdbd8) at ../../src/eval.c:2994
#26 0x00000000007b4360 in Ffuncall (nargs=1, args=0x7fffffffdbd0) at ../../src/eval.c:2801
#27 0x0000000000837a9d in exec_byte_code (bytestr=XIL(0x7ffff401282c), vector=XIL(0x7ffff4011d2d), maxdepth=make_fixnum(12), args_template=make_fixnum(0), nargs=0, args=0x7fffffffe220) at ../../src/bytecode.c:633
#28 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff4011cfd), nargs=0, arg_vector=0x7fffffffe220) at ../../src/eval.c:2994
#29 0x00000000007b4bd7 in apply_lambda (fun=XIL(0x7ffff4011cfd), args=XIL(0), count=4) at ../../src/eval.c:2931
#30 0x00000000007b2dd3 in eval_sub (form=XIL(0x7ffff416d89b)) at ../../src/eval.c:2323
#31 0x00000000007b2163 in Feval (form=XIL(0x7ffff416d89b), lexical=XIL(0)) at ../../src/eval.c:2107
#32 0x000000000064af57 in top_level_2 () at ../../src/keyboard.c:1100
#33 0x00000000007b0300 in internal_condition_case (bfun=0x64af34 <top_level_2>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#34 0x000000000064af9f in top_level_1 (ignore=XIL(0)) at ../../src/keyboard.c:1108
#35 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64af59 <top_level_1>, arg=XIL(0)) at ../../src/eval.c:1121
#36 0x000000000064ae7e in command_loop () at ../../src/keyboard.c:1069
#37 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#38 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#39 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"x-create-frame" (0xffffb568)
"x-create-frame-with-faces" (0xffffba78)
0xf3e3dec0 PVEC_COMPILED
"apply" (0xffffc090)
"frame-creation-function" (0xffffc5c8)
"make-frame" (0xffffcba0)
"frame-initialize" (0xffffd090)
"command-line" (0xffffdbd8)
"normal-top-level" (0xffffe220)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c7e700 (LWP 10050))](running)

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x1456d70) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x1456d70) at ../../src/gtkutil.c:4948
#1  0x000000000048748f in redisplay_tool_bar (f=0x1456d70) at ../../src/xdisp.c:14161
#2  0x000000000049686c in redisplay_window (window=XIL(0x14bf815), just_this_one_p=false) at ../../src/xdisp.c:19074
#3  0x000000000048beeb in redisplay_window_0 (window=XIL(0x14bf815)) at ../../src/xdisp.c:16328
#4  0x00000000007b03db in internal_condition_case_1 (bfun=0x48bea9 <redisplay_window_0>, arg=XIL(0x14bf815), handlers=XIL(0x7ffff3e9921b), hfun=0x48be71 <redisplay_window_error>) at ../../src/eval.c:1384
#5  0x000000000048be43 in redisplay_windows (window=XIL(0x14bf815)) at ../../src/xdisp.c:16308
#6  0x000000000048bdf5 in redisplay_windows (window=XIL(0x134be45)) at ../../src/xdisp.c:16302
#7  0x000000000048a871 in redisplay_internal () at ../../src/xdisp.c:15776
#8  0x0000000000488458 in redisplay () at ../../src/xdisp.c:14998
#9  0x000000000064f2da in read_char (commandflag=1, map=XIL(0x18b5833), prev_event=XIL(0), used_mouse_menu=0x7fffffffe10f, end_time=0x0) at ../../src/keyboard.c:2493
#10 0x000000000066221b in read_key_sequence (keybuf=0x7fffffffe2a0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9554
#11 0x000000000064b7a0 in command_loop_1 () at ../../src/keyboard.c:1350
#12 0x00000000007b0300 in internal_condition_case (bfun=0x64b324 <command_loop_1>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#13 0x000000000064af09 in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#14 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64aedc <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1121
#15 0x000000000064aea7 in command_loop () at ../../src/keyboard.c:1070
#16 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#17 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#18 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c7e700 (LWP 10050))](running)

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x1456d70) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x1456d70) at ../../src/gtkutil.c:4948
#1  0x000000000048748f in redisplay_tool_bar (f=0x1456d70) at ../../src/xdisp.c:14161
#2  0x000000000049686c in redisplay_window (window=XIL(0x14bf815), just_this_one_p=false) at ../../src/xdisp.c:19074
#3  0x000000000048beeb in redisplay_window_0 (window=XIL(0x14bf815)) at ../../src/xdisp.c:16328
#4  0x00000000007b03db in internal_condition_case_1 (bfun=0x48bea9 <redisplay_window_0>, arg=XIL(0x14bf815), handlers=XIL(0x7ffff3e9921b), hfun=0x48be71 <redisplay_window_error>) at ../../src/eval.c:1384
#5  0x000000000048be43 in redisplay_windows (window=XIL(0x14bf815)) at ../../src/xdisp.c:16308
#6  0x000000000048bdf5 in redisplay_windows (window=XIL(0x134be45)) at ../../src/xdisp.c:16302
#7  0x000000000048a871 in redisplay_internal () at ../../src/xdisp.c:15776
#8  0x0000000000488458 in redisplay () at ../../src/xdisp.c:14998
#9  0x000000000064f2da in read_char (commandflag=1, map=XIL(0x18b5833), prev_event=XIL(0), used_mouse_menu=0x7fffffffe10f, end_time=0x0) at ../../src/keyboard.c:2493
#10 0x000000000066221b in read_key_sequence (keybuf=0x7fffffffe2a0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9554
#11 0x000000000064b7a0 in command_loop_1 () at ../../src/keyboard.c:1350
#12 0x00000000007b0300 in internal_condition_case (bfun=0x64b324 <command_loop_1>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#13 0x000000000064af09 in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#14 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64aedc <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1121
#15 0x000000000064aea7 in command_loop () at ../../src/keyboard.c:1070
#16 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#17 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#18 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c7e700 (LWP 10050))](running)


WITH zero_vector:

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
#1  0x0000000000619fd7 in xg_create_frame_widgets (f=0x14369f0) at ../../src/gtkutil.c:1294
#2  0x00000000005e5607 in x_window (f=0x14369f0) at ../../src/xfns.c:3194
#3  0x00000000005e7eb1 in Fx_create_frame (parms=XIL(0x105e383)) at ../../src/xfns.c:4055
#4  0x00000000007b4852 in funcall_subr (subr=0xf8f0c0 <Sx_create_frame>, numargs=1, args=0x7fffffffb568) at ../../src/eval.c:2872
#5  0x00000000007b431c in Ffuncall (nargs=2, args=0x7fffffffb560) at ../../src/eval.c:2799
#6  0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff3e3ee6c), vector=XIL(0x7ffff3e3df85), maxdepth=make_fixnum(13), args_template=make_fixnum(256), nargs=1, args=0x7fffffffba80) at ../../src/bytecode.c:633
#7  0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3e3df55), nargs=1, arg_vector=0x7fffffffba78) at ../../src/eval.c:2994
#8  0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffba70) at ../../src/eval.c:2801
#9  0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff3e3eeac), vector=XIL(0x7ffff3e3df15), maxdepth=make_fixnum(3), args_template=make_fixnum(257), nargs=1, args=0x7fffffffc0a0) at ../../src/bytecode.c:633
#10 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3e3dec5), nargs=1, arg_vector=0x7fffffffc098) at ../../src/eval.c:2994
#11 0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffc090) at ../../src/eval.c:2801
#12 0x00000000007b318e in Fapply (nargs=2, args=0x7fffffffc090) at ../../src/eval.c:2386
#13 0x00000000007b4746 in funcall_subr (subr=0xf97cc0 <Sapply>, numargs=2, args=0x7fffffffc090) at ../../src/eval.c:2852
#14 0x00000000007b431c in Ffuncall (nargs=3, args=0x7fffffffc088) at ../../src/eval.c:2799
#15 0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff3cfbc7c), vector=XIL(0x7ffff3e3ba7d), maxdepth=make_fixnum(15), args_template=make_fixnum(128), nargs=1, args=0x7fffffffc5c8) at ../../src/bytecode.c:633
#16 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3e3ba4d), nargs=1, arg_vector=0x7fffffffc5c8) at ../../src/eval.c:2994
#17 0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffc5c0) at ../../src/eval.c:2801
#18 0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff3e4e5cc), vector=XIL(0x7ffff3c1f21d), maxdepth=make_fixnum(14), args_template=make_fixnum(256), nargs=1, args=0x7fffffffcba8) at ../../src/bytecode.c:633
#19 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff3c1f1e5), nargs=1, arg_vector=0x7fffffffcba0) at ../../src/eval.c:2994
#20 0x00000000007b4360 in Ffuncall (nargs=2, args=0x7fffffffcb98) at ../../src/eval.c:2801
#21 0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff400baa4), vector=XIL(0x7ffff400b9fd), maxdepth=make_fixnum(6), args_template=make_fixnum(0), nargs=0, args=0x7fffffffd090) at ../../src/bytecode.c:633
#22 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff400b9cd), nargs=0, arg_vector=0x7fffffffd090) at ../../src/eval.c:2994
#23 0x00000000007b4360 in Ffuncall (nargs=1, args=0x7fffffffd088) at ../../src/eval.c:2801
#24 0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff4011b5c), vector=XIL(0x7ffff400dbdd), maxdepth=make_fixnum(14), args_template=make_fixnum(0), nargs=0, args=0x7fffffffdbd8) at ../../src/bytecode.c:633
#25 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff400dbad), nargs=0, arg_vector=0x7fffffffdbd8) at ../../src/eval.c:2994
#26 0x00000000007b4360 in Ffuncall (nargs=1, args=0x7fffffffdbd0) at ../../src/eval.c:2801
#27 0x0000000000837a86 in exec_byte_code (bytestr=XIL(0x7ffff401282c), vector=XIL(0x7ffff4011d2d), maxdepth=make_fixnum(12), args_template=make_fixnum(0), nargs=0, args=0x7fffffffe220) at ../../src/bytecode.c:633
#28 0x00000000007b4fa0 in funcall_lambda (fun=XIL(0x7ffff4011cfd), nargs=0, arg_vector=0x7fffffffe220) at ../../src/eval.c:2994
#29 0x00000000007b4bd7 in apply_lambda (fun=XIL(0x7ffff4011cfd), args=XIL(0), count=4) at ../../src/eval.c:2931
#30 0x00000000007b2dd3 in eval_sub (form=XIL(0x7ffff416d89b)) at ../../src/eval.c:2323
#31 0x00000000007b2163 in Feval (form=XIL(0x7ffff416d89b), lexical=XIL(0)) at ../../src/eval.c:2107
#32 0x000000000064af57 in top_level_2 () at ../../src/keyboard.c:1100
#33 0x00000000007b0300 in internal_condition_case (bfun=0x64af34 <top_level_2>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#34 0x000000000064af9f in top_level_1 (ignore=XIL(0)) at ../../src/keyboard.c:1108
#35 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64af59 <top_level_1>, arg=XIL(0)) at ../../src/eval.c:1121
#36 0x000000000064ae7e in command_loop () at ../../src/keyboard.c:1069
#37 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#38 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#39 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"x-create-frame" (0xffffb568)
"x-create-frame-with-faces" (0xffffba78)
0xf3e3dec0 PVEC_COMPILED
"apply" (0xffffc090)
"frame-creation-function" (0xffffc5c8)
"make-frame" (0xffffcba0)
"frame-initialize" (0xffffd090)
"command-line" (0xffffdbd8)
"normal-top-level" (0xffffe220)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c5d700 (LWP 10301))](running)

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
#1  0x000000000048748f in redisplay_tool_bar (f=0x14369f0) at ../../src/xdisp.c:14161
#2  0x000000000049686c in redisplay_window (window=XIL(0x149feb5), just_this_one_p=false) at ../../src/xdisp.c:19074
#3  0x000000000048beeb in redisplay_window_0 (window=XIL(0x149feb5)) at ../../src/xdisp.c:16328
#4  0x00000000007b03db in internal_condition_case_1 (bfun=0x48bea9 <redisplay_window_0>, arg=XIL(0x149feb5), handlers=XIL(0x7ffff3e9921b), hfun=0x48be71 <redisplay_window_error>) at ../../src/eval.c:1384
#5  0x000000000048be43 in redisplay_windows (window=XIL(0x149feb5)) at ../../src/xdisp.c:16308
#6  0x000000000048bdf5 in redisplay_windows (window=XIL(0x135ee55)) at ../../src/xdisp.c:16302
#7  0x000000000048a871 in redisplay_internal () at ../../src/xdisp.c:15776
#8  0x0000000000488458 in redisplay () at ../../src/xdisp.c:14998
#9  0x000000000064f2da in read_char (commandflag=1, map=XIL(0x1897353), prev_event=XIL(0), used_mouse_menu=0x7fffffffe10f, end_time=0x0) at ../../src/keyboard.c:2493
#10 0x000000000066221b in read_key_sequence (keybuf=0x7fffffffe2a0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9554
#11 0x000000000064b7a0 in command_loop_1 () at ../../src/keyboard.c:1350
#12 0x00000000007b0300 in internal_condition_case (bfun=0x64b324 <command_loop_1>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#13 0x000000000064af09 in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#14 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64aedc <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1121
#15 0x000000000064aea7 in command_loop () at ../../src/keyboard.c:1070
#16 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#17 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#18 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c5d700 (LWP 10301))](running)

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
#1  0x000000000048748f in redisplay_tool_bar (f=0x14369f0) at ../../src/xdisp.c:14161
#2  0x000000000049686c in redisplay_window (window=XIL(0x149feb5), just_this_one_p=false) at ../../src/xdisp.c:19074
#3  0x000000000048beeb in redisplay_window_0 (window=XIL(0x149feb5)) at ../../src/xdisp.c:16328
#4  0x00000000007b03db in internal_condition_case_1 (bfun=0x48bea9 <redisplay_window_0>, arg=XIL(0x149feb5), handlers=XIL(0x7ffff3e9921b), hfun=0x48be71 <redisplay_window_error>) at ../../src/eval.c:1384
#5  0x000000000048be43 in redisplay_windows (window=XIL(0x149feb5)) at ../../src/xdisp.c:16308
#6  0x000000000048bdf5 in redisplay_windows (window=XIL(0x135ee55)) at ../../src/xdisp.c:16302
#7  0x000000000048a871 in redisplay_internal () at ../../src/xdisp.c:15776
#8  0x0000000000488458 in redisplay () at ../../src/xdisp.c:14998
#9  0x000000000064f2da in read_char (commandflag=1, map=XIL(0x1897353), prev_event=XIL(0), used_mouse_menu=0x7fffffffe10f, end_time=0x0) at ../../src/keyboard.c:2493
#10 0x000000000066221b in read_key_sequence (keybuf=0x7fffffffe2a0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9554
#11 0x000000000064b7a0 in command_loop_1 () at ../../src/keyboard.c:1350
#12 0x00000000007b0300 in internal_condition_case (bfun=0x64b324 <command_loop_1>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#13 0x000000000064af09 in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#14 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64aedc <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1121
#15 0x000000000064aea7 in command_loop () at ../../src/keyboard.c:1070
#16 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#17 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#18 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c5d700 (LWP 10301))](running)

Thread 1 "emacs" hit Breakpoint 3, update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
4948	  block_input ();
(gdb) bt
#0  0x0000000000621c5c in update_frame_tool_bar (f=0x14369f0) at ../../src/gtkutil.c:4948
#1  0x000000000048748f in redisplay_tool_bar (f=0x14369f0) at ../../src/xdisp.c:14161
#2  0x000000000049686c in redisplay_window (window=XIL(0x149feb5), just_this_one_p=false) at ../../src/xdisp.c:19074
#3  0x000000000048beeb in redisplay_window_0 (window=XIL(0x149feb5)) at ../../src/xdisp.c:16328
#4  0x00000000007b03db in internal_condition_case_1 (bfun=0x48bea9 <redisplay_window_0>, arg=XIL(0x149feb5), handlers=XIL(0x7ffff3e9921b), hfun=0x48be71 <redisplay_window_error>) at ../../src/eval.c:1384
#5  0x000000000048be43 in redisplay_windows (window=XIL(0x149feb5)) at ../../src/xdisp.c:16308
#6  0x000000000048bdf5 in redisplay_windows (window=XIL(0x135ee55)) at ../../src/xdisp.c:16302
#7  0x000000000048a871 in redisplay_internal () at ../../src/xdisp.c:15776
#8  0x0000000000488458 in redisplay () at ../../src/xdisp.c:14998
#9  0x000000000064f2da in read_char (commandflag=1, map=XIL(0x1897353), prev_event=XIL(0), used_mouse_menu=0x7fffffffe10f, end_time=0x0) at ../../src/keyboard.c:2493
#10 0x000000000066221b in read_key_sequence (keybuf=0x7fffffffe2a0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9554
#11 0x000000000064b7a0 in command_loop_1 () at ../../src/keyboard.c:1350
#12 0x00000000007b0300 in internal_condition_case (bfun=0x64b324 <command_loop_1>, handlers=XIL(0x90), hfun=0x64a933 <cmd_error>) at ../../src/eval.c:1360
#13 0x000000000064af09 in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#14 0x00000000007af7b4 in internal_catch (tag=XIL(0xd110), func=0x64aedc <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1121
#15 0x000000000064aea7 in command_loop () at ../../src/keyboard.c:1070
#16 0x000000000064a41a in recursive_edit_1 () at ../../src/keyboard.c:714
#17 0x000000000064a612 in Frecursive_edit () at ../../src/keyboard.c:786
#18 0x0000000000640a1b in main (argc=4, argv=0x7fffffffe798) at ../../src/emacs.c:2066

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
(gdb) c
Continuing.
[Switching to thread 4 (Thread 0x7ffff1c5d700 (LWP 10301))](running)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 08:32:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 03:32:19 2021
Received: from localhost ([127.0.0.1]:47994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGdyV-0002E8-Hs
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 03:32:19 -0500
Received: from mout.gmx.net ([212.227.15.15]:36597)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGdyU-0002Dv-M1
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 03:32:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614587532;
 bh=Zm7/gBt9jUm/WiiVo0vVZHRQlCj5/tt+uU4JbcXLs2U=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ZhdOhpRHqtEU2DXssW8tY/+ftcmVc5LTqlaImXbMLWYpBz+pIi0x+yTEe0h8FBcZy
 o3Bwb93R/PAKch0MyNGciMLGcRgZN29y0dI3sdJMte0E+okFTaEq0OTDQtN7eMjh3r
 nWi5WEBwXmE54nInL7wIxmkKnwaWGJHshRyEABrA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([213.162.73.118]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MjS5A-1lfE5m1tec-00l0fg; Mon, 01
 Mar 2021 09:32:12 +0100
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: Eli Zaretskii <eliz@HIDDEN>
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
 <83tupw83oz.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <76243df2-3899-961c-3c9a-ba792a2311d1@HIDDEN>
Date: Mon, 1 Mar 2021 09:32:10 +0100
MIME-Version: 1.0
In-Reply-To: <83tupw83oz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Meb7IZ4cSUQQzMlKLXaoX1SambR/CBe/GGtZc1yx7exl2Q7v5VF
 AHspaZEkfG+QqdGrG7yWHXTRDPkBMNhETc0qbM8VEPasX6qGmYuu093C3z3wFTUJlae0GnT
 kmdLpMpLjHoz4BSdkyNeBpA00aegEov9OMivbvHEtF0Cyi0zHHYco2UHIolLg498dVKkMO0
 vsmb2yao7Eu/byAek+tFQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:jL6InY5JClA=:x9LPcYvqCX0c9COfNTHdj+
 5KQorvNK8b6jICtgJMg2FRCHat4X7JJIgjuCkmOdPRpEkIENS/JVU2eogoCNLMsfxUV/2Cf06
 7Grxk3ZYMAr0RDjpwp7dexfTV7D/rpMOoGMv1i+I6uP+uHHpKjhc+Np9fCe6GD8zs/es8/5fP
 Pin15BZEPhVRG7YLoQWmdy1ZVOccLLqswonkpieQnbbzydis2vKt07CRi/Cqv/Z2IyAH7Hb8G
 jMTJzrdEH5b8HkBesILJPCEMnQ4v2b10LdF+SXGr/1MqxEiaPOXXPLrxORTm3UsPROLcIvDNQ
 0/qP55pnf8zNiuBukqveZ2uaBfdRpRW9KIaTMqOHIglRpzZtW5qamx9iWIJPQmaWE55sy76tp
 7L4MouEC4ZTCwoPldHV2QUhMOA7DfJ0KDIeYE6rbNf1w1PPLHdbtCDtfWrHXMvABkbl5WNIDm
 pR7saEpL2y1IAO5aH0cdEPKjaePP0z6TP5JWXHxXhhQajeppFtnk2q3fPVpNGW4YoVcHs0Qap
 DWcHcwJqHDu+y6xG5seUXt3cI+K6S5wnP3+31VOToXVL0TU+tq9Li611Q6/OwI+Jgw/z4x/iZ
 Ja/cyCp+2BFcKuwPTgNc7VDAwGVOUMTcmURbnFK76+p8hfMGp9lwUwaStLBmrIz/DmWGqhZ7d
 +kh3l58xP4DF+n/tB7/qs3SuZ6Qo71JJN6HglCwDFcV+/CgEG+FH6lHayWmog1nNNx0V3kPhB
 l6PKcP1KwDc0cQCrspDVwQx/PV91iJFVe0b3QzPvKCAQHRvf5/lXtVblLORBOfXa5wSyog0ia
 KDpsyB+B/d3skPxujIBCfS01hlE+AgnVUzV+j1NgTFJEPdkDuFr0NkuR+T97goybI41NXIosz
 SLb15WOUbPDPWruLhkLw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > This is very strange, that commit was not supposed to affect frame
 > dimensions.
 >
 > Could you please step through the relevant frame-sizing code, and see
 > how that zero_vector entry in the font-cache causes this problem?

The bug seems to be caused by the part of the tool bar code that tries
to detect the height of the tool bar and resize the frame
correspondingly.  Turning off the tool bar makes the bug disappear.

The font.c change garbles the order of the calls of frame resizing
routines.  The following lines produced by `frame--size-history' are
from a "good" run (with the patch I posted earlier here applied)

FRAME-NOTICE-USER	 nil ((cursor-color . red3) (width . 80) (height . 32))
adjust-frame-size-1	 (720 648 720 576) (x-set-frame-parameters 1)
adjust-frame-size-2	 (720 648 720 576) (nil nil)
xg-frame-set-char-size-3 (720 648 720 576) (752 601)
xg-frame-resized	 (720 648 720 576) nil

adjust-frame-size-1	 (720 648 720 576) (change-frame-size 5)
adjust-frame-size-3	 (720 648 720 576) (752 648 752 576)

update-frame-tool-bar	 nil nil
adjust-frame-size-1	 (720 576 720 576) (tool-bar-lines 2)
adjust-frame-size-2	 (720 576 720 576) (nil nil)
xg-frame-set-char-size-3 (720 576 720 576) (752 642)
xg-frame-resized	 (720 576 720 576) nil

while these lines are from a "bad" run (one showing the bug)

FRAME-NOTICE-USER	 nil ((cursor-color . red3) (width . 80) (height . 32))
adjust-frame-size-1	 (720 648 720 576) (x-set-frame-parameters 1)
adjust-frame-size-2	 (720 648 720 576) (nil nil)
xg-frame-set-char-size-3 (720 648 720 576) (752 601)
xg-frame-resized	 (720 648 720 576) nil

update-frame-tool-bar	 nil nil
adjust-frame-size-1	 (720 648 720 648) (tool-bar-lines 2)
adjust-frame-size-2	 (720 648 720 648) (nil nil)
xg-frame-set-char-size-3 (720 648 720 648) (752 714)
xg-frame-resized	 (720 648 720 648) nil

adjust-frame-size-1	 (720 648 720 576) (change-frame-size 5)
adjust-frame-size-3	 (720 648 720 576) (752 648 752 576)

In the bad run, the `change-frame-size' call apparently gets delayed (by
a skipped 'do_pending_window_change' presumably) until after an
update_frame_tool_bar call gets there first.  But so far I have no idea
why font cache issues would have any impact on the order of how things
get executed here.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 1 Mar 2021 08:31:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 03:31:32 2021
Received: from localhost ([127.0.0.1]:47990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGdxk-0002Cl-4l
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 03:31:32 -0500
Received: from mout.gmx.net ([212.227.15.18]:46771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGdxi-0002CY-8Y
 for 46827 <at> debbugs.gnu.org; Mon, 01 Mar 2021 03:31:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614587484;
 bh=h7zzguAZnO98w1bwh2WfJsmHdXz16f5dfmddenU2mfg=;
 h=X-UI-Sender-Class:From:Subject:To:References:Date:In-Reply-To;
 b=gJGVjK84ubMqzJqqU149Of0BWQUfV/nDXToWM9Du1DLluAWrq8G/1z8rN7ysDPg6k
 z2rVP4mftxbHSl/H3kxSJ+fcnekS2oUOpgfmiAcPLYv3puKaXPGYaHPHZkn0rO9obp
 ySHzkt/qYFUcZur289BBVi80vfHg9Et3dJ1yhmi8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([213.162.73.118]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MbRk3-1lnmz42DI9-00bvOZ for
 <46827 <at> debbugs.gnu.org>; Mon, 01 Mar 2021 09:31:24 +0100
From: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#46827: Broken initial size of GTK3 frame
To: 46827 <at> debbugs.gnu.org
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
Message-ID: <ad820dff-8f7c-245a-2eb5-0c461576c6f3@HIDDEN>
Date: Mon, 1 Mar 2021 09:31:20 +0100
MIME-Version: 1.0
In-Reply-To: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
Content-Type: multipart/mixed; boundary="------------56A36B79EF97695157091D41"
Content-Language: en-US
X-Provags-ID: V03:K1:0mbvfQy2eEjZugrr7kzDnOV07E37PZrYON7BiSyR22xQp9TOxwg
 Th4gX+s873aj4mRVM51+asJSpYCdEWgZXY1cRbofkeYaOHmGfKeVBbKiHfuyuTo1iStrGWG
 8oA2NXjec8TY4goBUwtZB1vdQbo/80Or2Iwi6T1Lrt15TahGp0I6S1Biv5DJApoYKxUmWHs
 R2rGSs/j3IR9Xn1MYzNFw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Hm95Awu0Qi8=:tEn2cTmE8W+5+jXBF5CgAO
 PTMKVr8oO/XHV6gGbCgMLAs3DOX+VjMgzP4EapF1h8DB/JLfwuwyPybWqWHR571QctLRQr9UJ
 F8S/tqIaWMfhBX7tigeb82PQtUSlPxb/QVDy912hvR6sj0uqzxCgq8dVggMnrawR23hW6AL60
 DwuXEyXFzuypPQ5gAXFkl1wjJZ5h4pmwilxXwSri3GyI7mNoFglXNa8LsJuqjMn0h4/zuvYpR
 Bd5aCBmzrEYAk5sypkXKzEvvcZh+3x2I/bZ8mZ6MUOhFkdT/TVz5KP9x3MXe6xRGKSHXiAJgE
 kilsKsYhGHcxIvlIX6394k21FJOwIF9k7a0TMY14z/ksxW0QkD20VF5VuFZ2scHzpZhXjF5sD
 v1OfRt75hVilRIj5hK9UFANGCq1YofsXtvumWkJqAh2n+2HuLMufLOgO1O7qB4hOZT9NmudPt
 xcBX/QfHfGw4QGknWGxYGepIWiPXKW8uy2XRXYU8Db+fBbj7lDOuTM86fYq6KXYhKqzvIHL1m
 P9L7rEjFRsBuycjHJzHjAM06oaTERSvqGfZNz3GOe/jt8vyb9K7V5IAfeFLp5ldTiMIGBGerJ
 YpN+B/7OTOdFTnm0VWcWblNrdLtPXXUFUaSdQMCJ1onOPwQHHwG/rz9dU43CB08kpnM31bl9j
 9hCeDoIiOEO2mLCmhbt9KcGpT3dkrpsON0Ij3lMkPVOjMmtkuNaLWYOlVhhDf6xRGFzG8TDat
 +SzxP3CSLZwJFfP4ClyUgB2SOeacRNMSz9iLyZ+xhHIMTEj9n0K5DNxdXL2ltesMI37AjQOx+
 xE184CfdC3zOBuTzZT4N5sQqEo87sEyHWNTZjY+NYxfh9M9ZXFP15LFd0qGMGUFDG16yWDOwC
 phPPMasZqVTQ2o1uBeVQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------56A36B79EF97695157091D41
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Re-sending this since it apparently got lost by the bug tracker:

 > Reverting 58430f29968a5661caff630d20dbbe7c864fe08d with current master
 > does _not_ fix the bug, so something else must be at play here too.

It turns out that the "something else" is just that

              /* Querying further backends can be very slow, so we only do
                 it if the user has explicitly requested it (Bug#43177).  */
              if (query_all_font_backends == false)
                break;

The attached patch reverting 58430f29968a5661caff630d20dbbe7c864fe08d
and removing the entity above fixes the bug on master.

martin


--------------56A36B79EF97695157091D41
Content-Type: text/x-patch;
 name="font.c.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="font.c.diff"

diff --git a/src/font.c b/src/font.c
index a59ebe216b..1bb1eb29a5 100644
=2D-- a/src/font.c
+++ b/src/font.c
@@ -2797,34 +2797,24 @@ font_list_entities (struct frame *f, Lisp_Object s=
pec)
 	  val =3D XCDR (val);
 	else
 	  {
-	    Lisp_Object copy;
-
 	    val =3D (driver_list->driver->list) (f, scratch_font_spec);
-	    /* We put zero_vector in the font-cache to indicate that
-	       no fonts matching SPEC were found on the system.
-	       Failure to have this indication in the font cache can
-	       cause severe performance degradation in some rare
-	       cases, see bug#21028.  */
-	    if (NILP (val))
-	      val =3D zero_vector;
-	    else
-	      val =3D Fvconcat (1, &val);
-	    copy =3D copy_font_spec (scratch_font_spec);
-	    ASET (copy, FONT_TYPE_INDEX, driver_list->driver->type);
-	    XSETCDR (cache, Fcons (Fcons (copy, val), XCDR (cache)));
+	    if (!NILP (val))
+	      {
+		Lisp_Object copy =3D copy_font_spec (scratch_font_spec);
+
+		val =3D Fvconcat (1, &val);
+		ASET (copy, FONT_TYPE_INDEX, driver_list->driver->type);
+		XSETCDR (cache, Fcons (Fcons (copy, val), XCDR (cache)));
+	      }
 	  }
-	if (ASIZE (val) > 0
+
+	if (VECTORP (val) && ASIZE (val) > 0
 	    && (need_filtering
 		|| ! NILP (Vface_ignored_fonts)))
 	  val =3D font_delete_unmatched (val, need_filtering ? spec : Qnil, size=
);
-	if (ASIZE (val) > 0)
-          {
-            list =3D Fcons (val, list);
-            /* Querying further backends can be very slow, so we only do
-               it if the user has explicitly requested it (Bug#43177).  *=
/
-            if (query_all_font_backends =3D=3D false)
-              break;
-          }
+
+	if (VECTORP (val) && ASIZE (val) > 0)
+	  list =3D Fcons (val, list);
       }

   list =3D Fnreverse (list);


--------------56A36B79EF97695157091D41--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at 46827 <at> debbugs.gnu.org:


Received: (at 46827) by debbugs.gnu.org; 28 Feb 2021 18:09:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 28 13:09:33 2021
Received: from localhost ([127.0.0.1]:47182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGQVZ-00027V-ER
	for submit <at> debbugs.gnu.org; Sun, 28 Feb 2021 13:09:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lGQVX-00027G-RL
 for 46827 <at> debbugs.gnu.org; Sun, 28 Feb 2021 13:09:32 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57870)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lGQVS-0003Df-DA; Sun, 28 Feb 2021 13:09:26 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1964
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lGQVP-0000Iu-8Z; Sun, 28 Feb 2021 13:09:24 -0500
Date: Sun, 28 Feb 2021 20:09:16 +0200
Message-Id: <83tupw83oz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN> (message from
 martin rudalics on Sun, 28 Feb 2021 10:31:30 +0100)
Subject: Re: bug#46827: Broken initial size of GTK3 frame
References: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46827
Cc: 46827 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: martin rudalics <rudalics@HIDDEN>
> Date: Sun, 28 Feb 2021 10:31:30 +0100
> 
> With a GTK3 build I start Emacs with the following initial file
> contents:
> 
> (customize-set-variable
>   'default-frame-alist
>   '((cursor-color . "red3")
>     (width . 80)
>     (height . 32)))
> 
> Here this results in a frame that is 36 lines high, has a root window of
> 31 lines and a minibuffer window of 1 line.  The remaining four lines at
> the bottom of the frame are (more or less) empty.
> 
> I traced this behavior back to
> 
> Fix redisplay performance problems with some fonts
> * src/font.c (font_list_entities): Revert part of the changes
> introduced on Apr 2, 2014 to fix bug#17125.  It turns out having
> zero_vector in the font-cache is an important indication that
> cannot be removed.  (Bug#21028)

This is very strange, that commit was not supposed to affect frame
dimensions.

Could you please step through the relevant frame-sizing code, and see
how that zero_vector entry in the font-cache causes this problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Feb 2021 09:31:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 28 04:31:42 2021
Received: from localhost ([127.0.0.1]:45852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGIQP-0002FQ-VP
	for submit <at> debbugs.gnu.org; Sun, 28 Feb 2021 04:31:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:51576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1lGIQP-0002FJ-E8
 for submit <at> debbugs.gnu.org; Sun, 28 Feb 2021 04:31:41 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:47934)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rudalics@HIDDEN>) id 1lGIQN-0004pz-Oq
 for bug-gnu-emacs@HIDDEN; Sun, 28 Feb 2021 04:31:41 -0500
Received: from mout.gmx.net ([212.227.17.22]:50397)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rudalics@HIDDEN>) id 1lGIQK-0002tH-00
 for bug-gnu-emacs@HIDDEN; Sun, 28 Feb 2021 04:31:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1614504692;
 bh=u2XdTCM5h2Lx+IhS70KUbtHyABOBGjoLN5PhO2u1+Hc=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=A7K6guHnuXdO0iyPJpXk2/9XHtOVb5sZVQVXRfpVcTbZ10Pa0ZfgNP5zmpYavv0By
 LgG8jci7thvYTj3HKI4RNxzqfY2Z85ARHhaEyC9r4mRUrhLENNXVwUX1D2/nPAlJKx
 Oz6QCpMbp5LysaewVnbJddh4TBUvtfYmCt9h0Tgk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.254]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MNsw4-1lRFhD44IC-00OKL6 for
 <bug-gnu-emacs@HIDDEN>; Sun, 28 Feb 2021 10:31:32 +0100
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Subject: Broken initial size of GTK3 frame
Message-ID: <6caa020a-084c-e3f2-7a34-262f7127b21b@HIDDEN>
Date: Sun, 28 Feb 2021 10:31:30 +0100
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------0B78BB7BB4869E596E336F7A"
Content-Language: en-US
X-Provags-ID: V03:K1:YACnSFGoiHrCeXtbwPDs3EvDWfSSZTYJ8nyX10+stlf0JUzm0ai
 MT69hrcSzJKKbjl4UwUrG6pgiFJmafJMF1WCk92Ba1tbsOzXtA3kSN3e6Eeyw64FuWTb9P6
 Xh1QDk3XnnRLNIIC0NFjEF3Jrv5Me0Tq+ziZycob1LIjn8bjfMmnw80GwX4eNUK8h2T0Gt+
 GZUrhjeAIzYSuaMrIlcNA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PuYnx5e0jAs=:LlvW8Z5qzxGltgCgZWBS/f
 kfOPO/PNoHroFnVNeQmBy3Kjw3IAA24AA7Xleuiwx6lUzQ+QuVLjoLbjPxf9v3HTO/QzPpoDh
 WWVoWXoWOnkh+mT+hk1ri7k3I4HnHlPZGRNnOFF7yLW3pANX7/Puzl60q/7HXcRrxzmvP+Vu4
 FiR7YDTzecNSHeKOO5NjgfvIC/48jLeV2iz/CAwfdIYjOJynC83pBEcdLTNFVrgsJtT0mxc/J
 bTiwqpZaXeGTXVAVnbds5d8bAKvA0hIezzkdfoVihBsEOWDEx7Q4XvzW5CX2z1hran/c4VuDk
 txpSPjW3Cp1sCwJgY7oC4+/NvUlUq9qxtVm+1nqN6MTSCCvhJ+1MdmWogu62m1FOMNh5axLos
 9++EupX7ZVI7dd7uzel2/nhREXacRLFB+hwco95la6+uU9nROuxjxAZmTHV8h2oVtB5oT3EPN
 Vu8n0nEFJ2ugQczfM1obkoMBaLI3hbQv+jm61zx0NQSY8j1Zh5YHxUvPLyZq73lO6tkwQnzMC
 qlbo53W9xzyOvEmVT4XZvyd3hv6de+/655rRGUO2x3M8eJHB8Kxl90gkt2i9ruGJLOlM8Hzuw
 EtIj67HD5j3CjGqOKmHpHEgASBlAU/qDEsdzKJ73XHzSjdEihsfqLZYBr+wEAaEqIbno4L0JC
 0EVc1tlY17gU3BeByReFI67HRKt1GIm6/AdgT/UrLQzOhRrsMoh2WkHlzbr2Uk0e80zi4e7jZ
 1ThaDCoZZXLT/PuPRvTF7H51mxl6C5VXUSY0ykBXf4nDABgloStTIZ8e5k/l0HXJX3Bp0Sm5m
 vvb8jHKhb1K5nlFXN0LQxIgw7AeNubLZITgOQ5bdFw4AOM+5iO36sTSu9H4+H5QL2/CP5d+m6
 h/Ofqq/sGaj3UxINftOg==
Received-SPF: pass client-ip=212.227.17.22; envelope-from=rudalics@HIDDEN;
 helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

This is a multi-part message in MIME format.
--------------0B78BB7BB4869E596E336F7A
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

With a GTK3 build I start Emacs with the following initial file
contents:

(customize-set-variable
  'default-frame-alist
  '((cursor-color . "red3")
    (width . 80)
    (height . 32)))

Here this results in a frame that is 36 lines high, has a root window of
31 lines and a minibuffer window of 1 line.  The remaining four lines at
the bottom of the frame are (more or less) empty.

I traced this behavior back to

Fix redisplay performance problems with some fonts
* src/font.c (font_list_entities): Revert part of the changes
introduced on Apr 2, 2014 to fix bug#17125.  It turns out having
zero_vector in the font-cache is an important indication that
cannot be removed.  (Bug#21028)

Commit f3b24e90dc9fad355102e1fdf2828ca33d447a07 does not have the bug
while commit 58430f29968a5661caff630d20dbbe7c864fe08d has it, see the
attached screenshots.

Reverting 58430f29968a5661caff630d20dbbe7c864fe08d with current master
does _not_ fix the bug, so something else must be at play here too.

This is with stable Debian running xfce 4.12 and xfwm4.  I suppose that
various behaviors sketched in Bug#31745 might be related but I have no
idea how the font_list_entities fix could have affected frame creation
in the first place, so these are only wild speculations.  As mentioned
there as well, the bug is GTK3-only, GTK2/Lucid/Motif/None builds are
not affected.

martin

--------------0B78BB7BB4869E596E336F7A
Content-Type: image/png;
 name="Initial Frame 58430f29968a5661caff630d20dbbe7c864fe08d.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="Initial Frame 58430f29968a5661caff630d20dbbe7c864fe08d.png"
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--------------0B78BB7BB4869E596E336F7A
Content-Type: image/png;
 name="Initial Frame f3b24e90dc9fad355102e1fdf2828ca33d447a07.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="Initial Frame f3b24e90dc9fad355102e1fdf2828ca33d447a07.png"
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--------------0B78BB7BB4869E596E336F7A--




Acknowledgement sent to martin rudalics <rudalics@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46827; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Mar 2021 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.